Implementing Insight and Microsoft SharePoint
Insight Implementation Guide
Before Using This Guide
Implementation Checklist
System Requirements
Changes Between SharePoint 2001 and Windows SharePoint Services 2003
Installing the SharePoint Server Software
Installing the Insight Server Software
Running Insight Server Assistant
Insight Web Components


Insight Implementation Guide
Version 19
About this Version

This version of the Insight Implementation Guide describes how to properly implement version 18 Insight.

Changes to this document since the previous version include:

  • When migrating from version 17 to version 18, be sure to follow the procedure described in Setting up SharePoint Server for Insight Queries.

If you have never read this document before, be sure to read Before Using This Guide to understand where you can get more information about implementing Insight and Microsoft SharePoint.


Before Using This Guide
Who Should Read This Book

This implementation guide is designed to provide you with information on installing and implementing the Microsoft Sharepoint Portal Server to effectively manage your Solid Edge documents.

For More Information

There are several documents available that provide good information on the Microsoft Exchange Server and SharePoint. For more information, see the following:

Microsoft SharePoint SDK Online Help

SharePoint Home Page,

http://www.microsoft.com/sharepoint

Microsoft Support,

http://support.microsoft.com/directory

Windows SharePoint Services Administrator's Guide

http://www.microsoft.com/downloads/details.aspx?FamilyID=a637eff6-8224-4b19-a6a4-3e33fa13d230&DisplayLang=en

Microsoft Solution Accelerator for Intranets Overview Guide

http://www.microsoft.com/downloads/details.aspx?FamilyID=7cdc1f2d-f550-49e0-9b74-318da11ba1b4&DisplayLang=en

SharePoint Newsgroups

Insight Newsgroup


Implementation Checklist

You need to review this checklist to properly implement Solid Edge Insight. You will find information on how to complete this checklist in this document.

  • Windows 2003 Server

  • Internet Information Services (IIS)

  • SharePoint Portal Server 2003 or Windows SharePoint Services 2003

  • Site Created

  • Document Library Created

  • Properties added to Document Library

  • New folders added

  • Roles assigned

  • Set up SharePoint Server for Insight Queries

If you are using non-English operating system and SharePoint, you need to load the Microsoft .NET language packs from:

http://www.microsoft.com/downloads/details.aspx?FamilyID=a637eff6-8224-4b19-a6a4-3e33fa13d230&DisplayLang=en

For more information, refer to Capacity Planning for Microsoft SharePoint Portal Server 2003 in the Windows SharePoint Services Administrator's Guide http://www.microsoft.com/technet/treeview/default.asp?url=/technet/prodtechnol/windowsserver2003/deploy/confeat/wssAGabs.asp.


System Requirements
Insight Server Minimum System Configuration

  • Intel Pentium 3-compatible processor minimum recommended.

  • 512 megabytes (MB) of random access memory (RAM) minimum recommended.

  • 550 MB minimum of available disk space. The drive must be formatted as NTFS file system.

  • Windows 2003 Server operating system

  • SharePoint Portal Server 2003 or Windows SharePoint Services 2003

  • SQL Server 2000 SP3

Note

If you are using non-English operating system and SharePoint, you need to load the Microsoft .NET language packs from: http://www.microsoft.com/downloads/details.aspx?FamilyID=04dbaf2e-61ed-43f4-8d2a-ccb2bab7b8eb&displaylang=en
Insight Server Recommended System Configuration

  • Intel Pentium 4

  • Dual processor recommended

  • 1 GB RAM recommended

Disk I/O is one of the largest factors that prevents optimum Insight performance. For optimum SQL server 2000 and SharePoint performance, you should organize your server hard drives as follows:

  • One physical hard drive for the Windows 2003 and all additional software loaded on the server

  • One physical hard drive for the SQL 2000 transaction log files

  • All remaining drives in a RAID 0 configuration to be used for SQL 2000 storage should be organized as described in the Creating Multiple .MDF Files section found below.

It is also helpful to use the fastest RPM hard drives that are available, which is currently 15,000 rpm.

Insight Client Minimum System Configuration

  • Intel Pentium III, Intel Pentium 4, or AMD Athlon.

  • 512+ MB of RAM.

  • Internet Explorer 6.0 or later.

Performance Recommendations

The following recommendations are designed to help you increase the performance of Insight.

  • You should ensure that you have at least 300 MB of disk space allocated for temporary internet files. To do this, in Internet Explorer, on the Tools menu, click Internet Options. On the General tab on the Internet Options dialog box, click Settings. On the Settings dialog box, in the Amount of Disk Space to Use: field, type 300. If your system is configured with multiple hard drives, you should consider moving the location of Internet Explorer temporary files off of your system drive.

  • When setting up log files, indexing, and performing backups, follow Microsoft's recommendations listed on the SharePoint homepage, http://www.microsoft.com/sharepoint

  • Be sure you read and understand the documentation provided with your software to balance speed and security.

  • The maximum recommended number of documents per folder is 10,000.

  • The maximum recommended document size stored in SharePoint Portal Server is 230 MB.

  • Insight checks all the entries in the My Network Places folder on a system to see if each network place is a SharePoint site. Every system has an entry for My MSN Sites. Since this entry in My Network Places, Insight checks it. If you are running stand-alone client/server off the network or Microsoft is running slow it adds time to various operations in Insight. You can remove the My MSN Sites improve performance.

Creating Multiple .MDF Files

If you have all of your data stored on one disk drive, you may experience a decrease in performance when several clients access the disk simultaneously. To avoid this, you can create multiple .mdf files, which are the database files that store your Solid Edge data. You can create one file for each disk and then stripe them into a single database.

To split the Sharepoint 2 database between multiple disk drives:

Step 1. | Generate SQL scripts for the existing database.
Step 2. | Detach the existing database and rename it and then re-attach using the new name.
Step 3. | Modify the Create Database script to support multiple .mdf/.ndf files, specifying one on each disk drive. For more information, see Microsoft Sequel Server help.
Step 4. | Execute the modified script to create the database.
Step 5. | Copy all objects from the original database to the new one.
Step 6. | Re-populate the full text catalog.

We also recommend you refer to available Microsoft Windows Server 2003 training courses as a source of valuable information. For more information, refer to:

http://www.microsoft.com/traincert/centers/windowsserver2003.asp


Changes Between SharePoint 2001 and Windows SharePoint Services 2003

There are several differences in functionality between Microsoft SharePoint 2001 and Windows SharePoint Services 2003. It is important that you understand these changes before implementing Insight Server.

User Roles

Microsoft SharePoint 2001 provided three default user roles:

  • Reader

  • Author

  • Coordinator

The functions for each role were fixed and you could not customize them. With Windows SharePoint Services 2003, there are five main default user site groups:

  • Guest

  • Reader

  • Contributor

  • Web Designer

  • Administrator

Roughly speaking, the roles between the two versions are mapped as follows:

Microsoft SharePoint 2001 role | Windows SharePoint Services 2003 site group
Reader | Reader
Author | Contributor
Coordinator | Administrator

The guest group is similar to the reader role except it is set on a list-by-list basis. It cannot be given to a user at the site level.

The Web Designer group is similar to the Administrator group, but Web Designers cannot manage users or create new sites.

Windows SharePoint Services 2003 also introduces the concept of user rights. Users rights are unique permissions like browse, delete, and edit that are combined to create Windows SharePoint Services 2003 site groups. Because groups are made up of individual rights, the default Windows SharePoint Services 2003 site groups can be modified. For example, you can remove the delete right from the Contributor group to prevent users from deleting files. You can also create new site groups.

For more details see the Microsoft Windows SharePoint Services 2003 Administrator's Guide.

Another change from Microsoft SharePoint 2001 to Windows SharePoint Services 2003 is the way permissions are assigned. In Microsoft SharePoint 2001, it was possible to assign user permissions on a per-folder basis. In Windows SharePoint Services 2003 default permissions and groups are set at the root site and they can be overridden in sub-sites or document libraries.

Note

You can only assign users to the default Windows SharePoint Services 2003 groups at the document library level.

If you need to imitate the folder-specific functionality that existed in Microsoft SharePoint 2001, you will need to create a new site and document library for each unique set of permissions. For additional details see the Migrating Insight from Microsoft SharePoint 2001 to Windows SharePoint Services 2003 document.

Properties

Microsoft SharePoint 2001 provided basic property data types that could be grouped together into profiles. Windows SharePoint Services 2003 adds new data types and provides new options that can be set on each property.

Windows SharePoint Services 2003 Column Type | Microsoft SharePoint 2001 Property Type
Single or Multiple line of text | Text
Number | Number (integer only)
Choice | List multi-value list
Multiple lines of text | Comment box (4096 characters)
Date and Time | Date
Lookup* (pull data from elsewhere in SharePoint) | N/A
Hyperlink* | N/A
Yes/No | N/A
Calculated* (calculate the value for the column based on values in other columns) | N/A
Currency* (displays in decimal format with currency symbol based on selected currency) | N/A

* This property type is only visible on the SharePoint dashboard for Insight v15 and higher. It is not visible or synchronized into Solid Edge files.

In addition to the new column types in Windows SharePoint Services 2003, there are additional formatting options that you can set to ensure valid entries are added to the system. Some of the formatting options are:

  • Min/Max values for number properties

  • Display as percentage

  • Default values

  • Calculated values

  • Number of decimal places

Administrators can also alter the default view to hide "system" columns on the dashboard so users can focus on the key data. Insight takes advantage of this option by turning the display off for all the mandatory Insight properties.

Microsoft SharePoint 2001 limited the ability of administrators to successfully change property names. It changed the display name but did not change the underlying property name so property synchronization was difficult if the property names changed. Microsoft SharePoint 2001 also did not allow spaces in property names. With Windows SharePoint Services 2003, administrators can change column names when needed and spaces can be used in column names. When changing column names, you need to check to see if other columns may be using the renamed column as a lookup. If they are, you need to update the lookup to point to the renamed column. Windows SharePoint Services 2003 does limit the total number of columns in a document library based on the data type. The limits for each type of column are:

  • There is a limit of 64 (57/51) text columns per list (single line of text, choice, hyperlink, picture)

  • Multi-line text - 32 (31/29) columns

  • Number or currency - 32(32/31) columns

  • Date - 16 columns

  • Lookup - 16 columns

  • Yes/No - 16 columns

  • Calculated - 8

Note

The numbers in () are for document libraries as several columns are used by the system. The first number listed is for standard SharePoint document libraries. The second number is for Insight document libraries.

Properties are set at the document library level for Windows SharePoint Services 2003; there are no longer document profiles. Customers that used multiple profiles in Microsoft SharePoint 2001 will need to consolidate properties from the various profiles into one document library or create a separate document library for each property group. To make it easier to replicate common properties, create one document library with all the required properties and then save it as a template to create future document libraries. See the Migrating Insight from Microsoft SharePoint 2001 to Windows SharePoint Services 2003 document for additional recommendations.

Backup and Recovery

Backups with Microsoft SharePoint 2001 include the entire web store, making it difficult to backup large workspaces. Windows SharePoint Services 2003 allows you to backup individual sites while the system is in-use. However, users will notice slower performance for this type of backup. Backing up files on a per-site basis helps when files are organized by sites. Sites that do not change regularly, such as standard parts, can be scheduled for weekly backup but skipped during the nightly backups. For details on how to backup a Windows SharePoint Services 2003 site see the Microsoft Windows SharePoint Services 2003 Administrator's Guide.

Version Limits

Microsoft SharePoint 2001 allowed customers to specify a version limit, typically three. Windows SharePoint Services 2003 allows customers to turn on versioning. However, there is no way to specify a version limit with Windows SharePoint Services 2.

Note

For Insight customers, we recommend that versioning be turned off until there is an automated way to purge old versions due to the large demand unlimited versions will put on disk-space for a typical customer site.


Installing the SharePoint Server Software

There are several items you must consider while installing Microsoft SharePoint Services. For detailed instructions about installing Windows 2003 Server, SQL Server 2000, SQL Server 2000 SP3, and Windows SharePoint Services, see the Windows SharePoint Administrator's Guide and the setup instructions for the various applications.

Installation Considerations for Windows SharePoint Services

There are certain choices that you must make either before or during your installation of Microsoft Windows SharePoint Services. Some of these choices, such as the database type you use, can be changed later without a lot of extra work. Other choices, such as the user account mode you will use, cannot be changed unless you un-install and re-install Windows SharePoint Services. If you are installing Windows SharePoint Services in a large scale environment, such as a server farm, it is critical that you make the right choices at the very beginning. Be sure that you carefully consider the following before you install Windows SharePoint Services.

Choosing a User Account Mode

When you install Windows SharePoint Services, you must choose which mode you want to use for user accounts. Windows SharePoint Services can work with either of the following user account modes:

  • Domain account mode (Recommended) This mode is used inside organizations to grant access to users with existing Microsoft Windows domain accounts.

  • Active Directory account creation mode This mode is used by Internet Service Providers to create unique accounts for customers in Active Directory directory service.

    Note

    All Insight testing was done using Domain Account Mode and we recommend you implement using Domain Account Mode.

You cannot mix the modes. You must choose either Domain account mode or Active Directory account creation mode. The difference between these two modes is the method you use to create user accounts. In Domain account mode, you use existing domain user accounts. In Active Directory account creation mode, accounts are automatically created in the Active Directory organizational unit you specify. In either mode, you use the same method to manage users of a site. You add them to the site using their existing domain or Active Directory accounts and then assign them to site groups to give them the rights they need to use the site.

The choice between user account modes is a one-time-only choice because it affects how the configuration database for your server or server farm is created. You cannot change user account modes after creating the configuration database and this step is one of the first choices you make after installation when using SQL Server.

For more information about user account modes, see the Managing Users and Cross-Site Groups section of the Windows SharePoint Services Administrator's Guide Architecture

http://www.microsoft.com/technet/treeview/default.asp?url=/technet/prodtechnol/windowsserver2003/deploy/confeat/wssAGabs.asp.

When you are in Active Directory account creation mode, there are certain administrative tasks that are unavailable in the HTML Administration pages. For example, you cannot create a top-level web site, you cannot enable Self-Service Site Creation, and you cannot add a user to a site from the Central Administration pages. To perform these actions in Active Directory account creation mode, you must use the command line or the object model. For more information, see the Using the Object Model to Manage Windows SharePoint Services section of the Windows SharePoint Services Administrator's Guide http://www.microsoft.com/technet/treeview/default.asp?url=/technet/prodtechnol/windowsserver2003/deploy/confeat/wssAGabs.asp.

The Minimum Password Age group policy on the domain controller must be set to 0 days. Failure to do so will result in users being unable to change their passwords, unless they have administrator rights on the server. For information on setting the Minimum Password Age group policy, see Microsoft Windows 2003 Server online help.

Choosing a Database Type

Insight requires SQL Server 2000 SP3 or later for the SharePoint storage mechanism. Insight will not run with Windows SharePoint Services on WMSDE.

The default Windows SharePoint Services installation uses Windows MSDE. Using this SharePoint setup option does not create a property index that can be used for searching and limits customers to a maximum of ten user connections. Insight needs the property index to determine what files to copy to the user's local cache. Therefore, Insight will not run with a WMSDE installation.

When installing SQL, you should not reboot until you install SQL Service Pack 3. During reboot, SQL and other services start automatically. Once these services start, you have to manually stop them before installing the Service Pack.

Note

You must install Windows SharePoint Services with SQL Server 2000 SP3 for the storage mechanism.
Choosing an Authentication Type for SQL Server

If you choose to use SQL Server with Windows SharePoint Services, you must also choose the authentication method to use for connections between Windows SharePoint Services and the SQL Server databases. The authentication methods available for these connections are Windows authentication or SQL Server and Windows authentication.

  • Windows authentication depends on the domain credentials for an Internet Information Services (IIS) application pool to connect to the SQL Server database. The username and password are not sent between servers, but are abstracted through the IIS application pool. This would require you to add all the insight users to the database, which is not a very good solution

  • SQL Server and Windows authentication requires less administration, because when you connect to the database, the username and password for the database administrator account are sent from server to server in unencrypted format. Therefore the SQL Server and Windows authentication is recommended.

You make the database authentication choice after installation, when you connect to the SQL Server databases for the first time.

For more information about security, see the Windows SharePoint Services Security Model section of the Windows SharePoint Services Administrator's Guide http://www.microsoft.com/technet/treeview/default.asp?url=/technet/prodtechnol/windowsserver2003/deploy/confeat/wssAGabs.asp.

For more information about authentication methods for SQL Server 2000, see the SQL Server 2000 documentation.

Note

We recommend you choose SQL Server and Windows authentication for SQL Server.
Choosing an IIS Application Pool Configuration

Internet Information Services (IIS) is a required service. When you install Windows Server 2003 Standard edition, IIS is not started by default. This can create problems when installing Windows SharePoint Services. When you install Windows Server 2003, make sure that you check the option to start IIS before you attempt to install Windows SharePoint Services.

Internet Information Services (IIS) introduced application pools in IIS 6. With application pools, you can use an isolated process to run your web applications. Each application pool has unique credentials on the server, so you can identify which applications are performing which actions. If that application fails, it does not affect other applications that are also running.

Windows SharePoint Services supports the new application pool model in IIS 6. When you configure your server or your server farm, you can choose from the following options:

  • One application pool for the administrative virtual server The administrative virtual server must always have its own, separate application pool.

  • Shared application pools for all virtual servers hosting Web sites You can choose to use the same application pool for all other virtual servers you use in Windows SharePoint Services. If you do so, however, you lose the security and failure protection measures that multiple application pools help provide. Applications running on one virtual server can potentially read or write data from another virtual server's application, and if one virtual server fails, they all fail.

  • Separate application pools for each virtual server hosting Web sites With separate application pools for each virtual server, you gain the security and failure protection measures that application pools help provide. If one virtual server fails, it does not affect the others. And no application running in a unique application pool can read another application's data if the application is on another virtual server. However, separate application pools create more complexity in management, since unique domain accounts must be created and maintained for each application pool.

  • "Shared" application pools for all virtual servers hosting the same Web sites In a server farm environment, you can also choose to use the same application pool accounts for any virtual servers that are hosting the same Web sites. For example, if your server farm has three servers, each of which has at least one virtual server that hosts the same Web site (http://www.example.com/site), you can use the same application pool account for all of the virtual servers hosting that site. This way, you only need to remember one set of credentials for that group of Web sites, and you can perform tasks across a set of virtual servers in your server farm.

Note

If you choose this configuration, you must be sure to use a domain account for the application pool account.

You specify the application pool to use for your administrative virtual server when you install Windows SharePoint Services to a server and set the configuration database. You specify any other application pools to use when you extend a virtual server on that server. For more information about application pools, see the IIS 6.0 Help system.

Install Insight Server Before Creating Any Sites

Insight Server installation extends the document library menus to add the Insight Web Parts and also increases the maximum string length that SharePoint supports. You should install Insight Server on each Windows SharePoint Server web server if running in a web farm or the Windows SharePoint Server if running single-server to update the default site templates before adding any site-specific customizations or SharePoint sites to SharePoint.

Note

Any sites created before installing Insight Server, including the default website, cannot be used for Insight document libraries.
Adding Insight Extensions to custom templates

Insight Server modifies the default SharePoint and SharePoint Portal Server templates to add web part and more than 255 character string support. If you create your own site templates or load one of the SharePoint language packs, you will need to modify the templates to add Insight support using the following steps:

Step 1.

Close IE and Stop IIS.
Step 2.

First find and backup all ONET.XML files and then edit each ONET.XML located in the $:/Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\TEMPLATE\1033\SITE DEFINITION NAME\XML.

Replace

<Project Title="Team Web Site" ListDir="Lists" xmlns:ows="Microsoft SharePoint">

with

<Project Title="Team Web Site" ListDir="Lists" xmlns:ows="Microsoft SharePoint"  CustomJSUrl="/_layouts/[%=System.Threading.Thread.CurrentThread.CurrentUICulture.LCID%]/SolidEdgeInsight_custom_ows.js">
Step 3.

Restart IIS.
Microsoft SharePoint Limits

The capacity of Windows SharePoint Services is also limited by the number of objects that can be created in a given scope, such as number of documents per folder. The scale limits in Windows SharePoint Services are not hard limits enforced by the system. They are practical limits imposed by reasonable performance. In other words, you can exceed these limits if you want to, but you may find the resulting performance to be unacceptable.

The following table lists the objects in Windows SharePoint Services and describes their limits.

Object | Scope | Limit | Comments
Site collection | Database | 50,000 | Total throughput degrades as the number of site collections increases. At 10,000 site collections, throughput is 90% of peak. At 50,000 site collections, throughput is 70% of peak.
Web sites | Web site | 10,000 | The interface for enumerating subsites of a given Web site does not perform well beyond 1,000 subsites.
Web sites | Site collection | 2 million | You can create a very large total number of Web sites by nesting the subsites. For example, 1,000 subsites, each with 1,000 subsites, is 1,001,000 Web sites.
Documents | Folder | 10,000 | The interfaces for enumerating documents in a folder do not perform well beyond a few thousand entries.
Documents | Library | 2 million | You can create very large document libraries by nesting folders.
Security principals | Web site | 2,000 | The size of the access control list is limited to a few thousand security principals, in other words users and groups in the Web site.
Users | Web site | 2 million | You can add millions of people to your Web site by using Microsoft Windows security groups to manage security instead of using individual users.
Items | List | 10,000 | The interface for enumerating list items does not perform well beyond a few thousand items.
Web Parts | Page | 100 | Pages with more than 100 Web Parts are slow to render.
Web Part personalization | Page | 10,000 | Pages with more than a few thousand user personalizations are slow to render.
Lists | Web site | 10,000 | The interface for enumerating lists and libraries in a Web site does not perform well beyond a few thousand entries.
Document size** | File | 50 MB | The file save performance degrades as the file size grows. The upper limit is about 50 MB. This limit is enforced by the system, but the limit can be changed by the administrator.

**The maximum file size recommended by Microsoft is 50 MB though we have tested files as large as 230 MB without encountering any errors or unusual decline in performance.

The following characters are not supported in Windows SharePoint Services:

# : \ ? * < > % / | " { } ~ [ ] Space ! ( ) = ; . , @ & +

Note

If a file, folder, or URL name in your original site contains one of these characters, it is replaced with an underscore (_). Multiple periods are replaced with a single period. Additional digits may be appended to the file or folder name if there are conflicting renaming changes. Folder names may not begin with an underscore (_).

Modify Virtual Server Settings

There are several options that should be changed for each virtual server that will be used for Insight files.

Maximum upload size

By default SharePoint limits files to 50 MB. To modify this setting go to the Virtual Server General Settings page for the virtual server and change the Maximum Upload Size option. In this example we've changed the maximum upload size to 250 MB, the largest single file size we have tested.

Once you've changed the limit, select OK at the bottom of the page to save your changes.

Event Handlers

If you will be using the SharePoint Workflow provided by Insight and Microsoft you will need to turn event handlers on for the virtual server. This option can be turned on by going to the Modify Virtual Server Settings page for the virtual server and turning the option on as shown in the next figure.

Enable Full-Text Search

To do full-text searches with WSS 2 and Insight, you must turn on the full-text search and index component from the WSS administrator pages. To turn the option on, go to the WSS Central Administration page and select configure full-text search in the Component Configuration section.

Accessing the Site or Document Library

The dashboard is the web interface to your Solid Edge site or document library. There are two ways to access your site or document library:

  • Internet Explorer

  • Solid Edge Open dialog box

Note

You can use Internet Explorer to open Solid Edge documents.

If the site or document library did not automatically open Internet Explorer, you can connect to your Solid Edge site (DashBoard) in Internet Explorer using the web folder location you specified earlier. Type the web location you created earlier using your server node name.

In this example, you would type http://hsvnt315/engineering. This is only an example; the name in your installation will be different.

The default Internet Explorer dashboard looks similar to the following:

Using My Network Places, you can use the Add Network Place option to access documents stored in your Solid Edge document library.

Note

Note: If you are running, Microsoft Windows XP, you must disable Web Client Services before adding a network place.
To disable Web Client Services:
Step 1. | In Control Panel, click Administrative Tools, and then click Services.
Step 2. | From the list, right-click WebClient and select Properties.
Step 3. | Change the Startup type to Disabled.
Step 4. | Change the Service Status to Stopped.
Step 5. | Click OK.


Installing the Insight Server Software

In the next few steps you will install the Insight Server software on your server.

Setting up the Server
Step 1. | On the Solid Edge V18 CD, go to the Software\Insight Server V18/program folder, and then double-click setup.exe. The Insight Server V18 - InstallShield Wizard is displayed. This wizard assists in the installation of the Insight Server software. On the wizard, click Next.
Step 2. | On the License Agreement page, click I Accept the Terms in the License Agreement, and then click Next.
Step 3. | On the Customer information page, enter the information for your organization, and then click Next.
Step 4. | Specify the location for the Insight Server files and click Next.
Step 5. | The Windows Installer includes this step to allow you to install the Insight Web Parts and Services add-in, which is used to display Solid Edge documents in a SharePoint dashboard. To install the add-in, click the button next to the name of the add-in, choose to install the feature only or all subfeatures, and then click Next.
Step 6. | Specify a web site and click Next to install.
Step 7. | Click Install, and then click Finish. After you load SharePoint and Insight Server, there are a few things you need to do before you start working with Solid Edge.
Setting Up Insight Server Assistant
Step 1. | On the Solid Edge V18 CD, go to the Software\Insight Server V18/program folder, and then double-click InsightServerAssistant.exe. The Insight Server Assistant Wizard is displayed. This wizard assists in the initial configuration of Insight on Windows SharePoint Service 2003 or Windows SharePoint Portal Server 2003. On the wizard, click Next.
Step 2. | The wizard verifies that the correct software is loaded on the server. If the software loaded on the server is correct, this step is skipped. If there are problems with the software loaded on the server, information about the software is displayed on the dialog box. The Status field is empty if the software version is correct, a warning sign if the software is optional, but not loaded, and a stop sign if the version is not valid. If the software listed on the dialog box is not valid, you must exit the wizard, correct the problem, and then run the wizard again.
Step 3. | Specify where the web parts will be stored and click Next. This step is skipped if you did not load web parts during the Insight Server installation.
Step 4. | Specify the sites and document libraries to be created and click Next.
Step 5. | Select the Solid Edge Administrator Options.xml file you want to update with the changes made by the wizard and click Next.
Step 6. | Click Finish.
Step 7. | The Secure Links Update dialog box appears. You can use this dialog box to configure the cache, log file, and search scope locations, start secure links update, or create a schedule for the update to follow. When changing the location of the Insight cache, you should specify a root folder on a drive with a large amount of free space, such as C:\Cache.
Add New Columns

Columns can be thought of as user-defined properties that store information for items in a document library.

To add a new column:
Step 1.

On the site home page, click on a document library.
Step 2.

On the <document library name> page, under Actions, click Modify Settings and Columns.
Step 3.

On the Customize <document library name> page, under Columns, click Add a New Column.
Step 4.

On the <document library name> Add Column Page, in the Column Name field, type a name for the column and select an information type for the column. The column is the equivalent of a user-defined property.

Note

Make sure that when you add new columns that the type is the same for each document library, or there will be property mismatch problems. For example, when you add Document Number to all of your document libraries the type must be the same.

Step 5.

In the Optional Settings for Column section, you can set the Require that this column contains information option if you want the column to require input. Be sure that the Add to Default View is selected.

Step 6.

Click OK.


Running Insight Server Assistant

The Insight Server Assistant helps you to properly configure Insight Server on Windows SharePoint Service 2003 or Windows SharePoint Portal Server 2003.

You must have administrator privileges to run the assistant. To run the assistant, go to the Insight Server V##\Program folder, and then double-click InsightServerAssistant.exe. This displays the Insight Server Assistant Wizard, which is a series of dialog boxes that:

  • checks the software configuration

  • specifies a document library where web parts, if loaded, will be stored

  • creates or renames sites and document libraries to be used by Life Cycle Assistant and the ECO process

  • specifies the location of the Options.xml file that will be updated with the document libraries created with the assistant

When you click the Finish button on the last dialog of the wizard, the Secure Links Update dialog box is displayed. You can use this dialog box to:

  • configure the location of the cache, log file, and search scope file

  • start Secure Links Update

  • schedule when Secure Links Update should run


Insight Web Components

Insight is based on Microsoft SharePoint, an information sharing platform that allows you to manage both metadata, such as CAD files, and product data, such as file attributes. Insight web parts provide true integration between Insight and SharePoint, allowing non-Solid Edge users to view Solid Edge documents in a SharePoint web part page.

Note

Insight web components are an add-in that you must select on the Custom Setup page of the Insight Server InstallShield wizard. Without this add-in, you will not be able to display Solid Edge documents in a SharePoint web part page.

Insight Server delivers three web parts that allow you to expose Solid Edge data to non-Solid Edge users:

  1. BOM View

  2. Property View

  3. Graphics View

These components are installed in the Virtual Server Gallery on the SharePoint server, from where they can be dragged and dropped on the web part page that hosts the Solid Edge Insight web parts.

The BOM View allows you to display a components list of all Solid Edge documents or an exploded BOM view of an assembly. When you select a component in the BOM View, the Property View and Graphics View, if installed, automatically update to display information for the selected component.

There are several ways to change the display of the BOM View. You can double-click a column to sort the entries in the BOM. You can select a column heading, then use drag and drop to change the order of the columns. You can right-click to display a shortcut menu that allows you to do such things as change the font, sort the properties, find text, and format columns.

The BOM View is very helpful if you need to create reports. You can highlight information in the BOM View, then copy and paste the information into a Microsoft Excel spreadsheet.

The Property View displays both profile and system properties for the selected BOM component. Like the BOM View, you can sort the properties in the list.

The Graphics View displays a graphical representation of the selected BOM component. The Graphics View provides commands that allow you to change your display. You can do such things as fit views, pan views, rotate views, and zoom in or out on the model.

When you use the Graphics View web component to view Assembly, Part, Sheet Metal, Weldment, PCF, DXF or DWG documents, the documents on the server are automatically downloaded to the local Insight cache. In most cases this cache is located on the system drive. With Windows 2000, it is typically located in <System Drive>:\Documents and Settings\<User Name>\Application Data\Microsoft\MSDAIPP\OffLine. Over time, the cache may become fairly large in size, depending on the number and size of the documents that have been viewed. This can cause the disk to run out of space, so you should monitor this folder and delete documents when needed. You can also use the File Locations tab on the Options dialog box to change the location of the Insight cache.

To view one of the supported document types above in the web parts, click the "View Properties/Graphics/ BOM" menu item on the document's context menu in the SharePoint document library or nested folder where the document resides. This will cause SharePoint to navigate you to the web part page using that document as the context URL for the display of the web parts.

Prerequisites for Using Web Parts

Item

Delivery

Version 1.1 of the .NET framework

If this does not exist, the web parts will display an error message that includes a link to the self extracting .EXE on the Insight server.

The corresponding language pack (if non-English .NET framework)

Same as above, except there will be no error message, or link, if the user already has the appropriate version of the framework, regardless of whether the language pack is loaded or not.

Microsoft XML 3.0 parser

Automatically delivered to the user's machine through Internet Component Download if they do not already have it.

Client software, one of the following:

  • Solid Edge

  • Insight Connect

  • Solid Edge Viewer

If the user does not have any of these, then web parts will initiate an automatic download from the Insight server and execute the setup.

Installing the Web Components

During setup, Insight allows you to install Web Components. If you choose not to install them during installation, but later change your mind, here is how to install them.

The Insight Web Components are packaged in a cabinet file named SEWebParts.CAB that is delivered in the InsightServerInstallDir\Web Components folder. A batch file named InstallWP.BAT is delivered to the same folder and must be run to install the web components correctly in SharePoint. Before running the batch file, it is important to make sure that the SharePoint delivered executable, STSADM.EXE is in the PATH environment variable. This file is typically located at <%system drive%>:/Program Files\Common Files\Microsoft Shared\web server extensions\60\BIN. If you not want to modify the PATH environment variable, then you need to modify InstallWP.BAT to specify the full path for STSADM.EXE.

Creating the Web Part Page

The web part page is a special type of container document in SharePoint that hosts one or more web parts. Please refer to SharePoint documentation or help on how to create a web part page. It is highly recommended that you create the web part page in a document library in a separate site so you can change users, groups, permissions, and authentication without affecting the Insight sites and document libraries. This is important because the web parts will have a wider audience than the designers and engineers that work on the documents. It is also not necessary to create the Solid Edge mandatory properties in this library, unless you intend to store Solid Edge documents here.

Finally, the administrator needs to ensure that all users and groups that need to have viewer permissions for web parts are added to the appropriate web part page site.

Enabling the Custom Menu Extension

Once you create the web part page document, the Insight administrator needs to add the URL of this document, such as http://<server>/sites/WPPSite/WPPDocLib/WebParts.aspx, as the value of the script variable, L_Path_to_SEWebPartPage_Text, in the SolidEdgeInsight_custom_ows.js file. This file is typically installed in <%system drive%>:/program Files\Common Files\Microsoft Shared\web server extensions\60\TEMPLATE\LAYOUTS\<lang id> on the SharePoint server. This allows the administrator to enable the custom menu extension for Solid Edge documents, such as the menu item View Properties/BOM/Graphics, that directs the user to this web part page from any Solid Edge document except .CFG files in an Insight enabled document library.

Adding Web Parts

Once the web part page is ready, the administrator can navigate to it. From the web part page, the administrator can point to Modify Shared Page, then point to Add Web Parts, and then click Browse to open the Add Web Parts tool pane. Click on Virtual Server Gallery to access the storage location of the Insight web parts. From the Web Part List, drag and drop any of the BOM, Property and/or Graphics web parts onto the web part page in the desired location. Once this is done, click the Close button on the tool pane, and the web parts are ready for use.

Editing Web Part Settings

Web parts have a shared view and a personal view. The shared view applies to all users and requires higher security privileges to modify. The personal view applies to each individual user. All three Solid Edge web parts have embedded controls and have the built-in flexibility of storing individual user preferences for certain control settings. The following settings are configurable:

  • BOM and Property Web Parts

  • controls height in pixels

  • controls width in pixels

  • specifies whether the control is expanded or collapsed when the web part page loads

  • Graphics web part

  • control height in pixels

  • control width in pixels

  • specifies whether the control is expanded or collapsed when the web part page loads

  • controls background color for 2-D and 3-D documents

  • specifies whether to display the EdgeBar in the control

To configure these setting, on the web part pulldown menu, click Modify My Web Part to display the edit tool pane. On the edit tool pane, change the settings under the Control Settings section.

To enable each user to modify the web part control settings to their personal preferences, the Insight administrator must set them up to be part of a site group whose personal rights include Update Personal Web Parts.

Changing Document Context Without Leaving the Web Part Page

Typically, you are directed to the web part page using the "View Properties/Graphics/BOM" menu item in the document's context menu, along with the URL for the document (the context URL for the web part page). If you want to view multiple Solid Edge documents in the web components, it is a lot of work to navigate to each document and then be re-directed back to the web part page using that document's context menu. Instead, if you already have a list of URLs that need to be viewed in the web part page, it is much easier to directly modify the web part page URL displayed in the Internet Explorer address bar to change document context without leaving the page.

The format of the web part page URL that displays web components with context is as follows:

<web part page url>?SEURL=<solid edge document url>

To make web components display information for a different document, replace the portion of the web part page URL above that is to the right of the "=" with the new URL, and refresh the page. The web components should now display the new document.


Working with SharePoint
Getting to Know SharePoint
Solid Edge Properties That are Synchronized
Sites, Document Libraries, and Dashboards
Document Management with Solid Edge Insight
SharePoint Data Types
Document Versioning
Setting up SharePoint Server for Insight Queries


Getting to Know SharePoint

Insight works with Microsoft SharePoint to help you manage your Solid Edge documents. Microsoft SharePoint is a document management tool designed to allow you to easily find, manage, and share information in a rich, customizable dashboard site to enable you to locate, write, review, and manage content in your organization. SharePoint works closely with other tools such as Windows Explorer and web browsers to help you manage your documents.

The Microsoft SharePoint Server uses tools such as Internet Explorer browser windows, operating system security for users and groups, search and indexing algorithms, and a well-documented object model for storing and managing documents.


Solid Edge Properties That are Synchronized

The following lists the Solid Edge file properties that are synchronized. You can view these properties on the File Properties dialog box in Solid Edge and in Internet Explorer.

Property Set Name | Property Name | Location on Properties Dialog Box | Will SharePoint Server Index the Property by Default? | SharePoint Property Name for Synchronization
Summary Information Property Set | Title | Summary Tab | ***Yes | Title
Summary Information Property Set | Subject | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Summary Information Property Set | Author | Summary Tab | No | Created By
Summary Information Property Set | Keywords | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Summary Information Property Set | Comments | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Summary Information Property Set | Template | Summary Tab | *Yes | Template
Summary Information Property Set | Last Saved By | Statistics Tab (only in SE), Summary Tab (only in Explorer) | *Yes | Last Saved By
Summary Information Property Set | Revision Number | Summary Tab (only in Explorer) | *Yes | Ignored. The property "Revision Number" in Project Information property set is synchronized with property name "Revision Number."
Summary Information Property Set | Total Editing time | Summary Tab (only in Explorer) | **Not Applicable | Total Editing time
Summary Information Property Set | Last Printed | Summary Tab (only in Explorer) | **Not Applicable | Last Printed
Summary Information Property Set | Create Time/Date | Summary Tab (only in Explorer) | No | Date of Creation
Summary Information Property Set | Last Saved Time/Date | Summary Tab (only in Explorer) | No | Date Last Saved
Summary Information Property Set | Number of Pages | Summary Tab (only in Explorer) | **Not Applicable | Page Count
Summary Information Property Set | Number of Words | Summary Tab (only in Explorer) | **Not Applicable | Word Count
Summary Information Property Set | Number of Characters | Summary Tab (only in Explorer) | **Not Applicable | Character Count
Summary Information Property Set | Thumbnail | Not Displayed | **Not Applicable | Ignored. Property type is not supported by SharePoint.
Summary Information Property Set | Name of Creating Application | Statistics Tab (only in SE), Summary Tab (only in Explorer) | *Yes | Application Name
Summary Information Property Set | Security | Not Displayed | *Yes | Security
Project Information Property Set | Document Number | Project Tab | No | Document Number
Project Information Property Set | Project Name | Project Tab | No | Project Name
Project Information Property Set | Revision Number | Project Tab | No | Revision Number
Document Summary Information Property Set | Category | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Document Summary Information Property Set | Format | Summary Tab (only in Explorer) | **Not Applicable | Presentation Format
Document Summary Information Property Set | Bytes | Summary Tab (only in Explorer) | **Not Applicable | Byte Count
Document Summary Information Property Set | Lines | Summary Tab (only in Explorer) | **Not Applicable | Lines
Document Summary Information Property Set | Paragraphs | Summary Tab (only in Explorer) | **Not Applicable | Paragraphs
Document Summary Information Property Set | Slides | Summary Tab (only in Explorer) | **Not Applicable | Slides
Document Summary Information Property Set | Notes | Summary Tab (only in Explorer) | **Not Applicable | Notes
Document Summary Information Property Set | Hidden Objects | Summary Tab (only in Explorer) | **Not Applicable | Hidden Objects
Document Summary Information Property Set | MMCLIPS | Summary Tab (only in Explorer) | **Not Applicable | Multimedia Clips
Document Summary Information Property Set | Manager | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Document Summary Information Property Set | Company Name | Summary Tab | No | Property must be added as a custom defined property in SharePoint.
Extended Summary | Saving Application | Statistics Tab (only in SE) | No | Saving Application
Extended Summary | File Size | Not Displayed | No | File Size
Extended Summary | Sheet Count | Not Displayed | No | Number of Sheets
Information Property Set | Object Count | Not Displayed | No | Number of Objects
Information Property Set | Document ID | Not Displayed | No | DocumentID
Information Property Set | Status | Status Tab | No | Status
Mechanical Modeling Property Set | Material | Project Tab | No | Material
Custom Property Set | Any user defined property | Custom Tab | No | Name of user defined property.
*Yes | If the property is defined on the document library, SharePoint will index it.
***Yes | Property is defined on the document profile (Base Document) by default. All profiles in SharePoint contain them and they cannot be deleted.
**Not Applicable | Property is specific to Microsoft Word or Excel documents and are not applicable to Solid Edge documents.
Note

Windows SharePoint Services 2003 allows properties to contain spaces. Spaces in properties were prohibited in SharePoint Portal Server 2001.

If the name of a custom property matches the display name in SharePoint, the property is synchronized.

Note

There are no Solid Edge properties that synchronize with the SharePoint "description" property. To avoid this problem you can create a custom property for "description" and SharePoint will synchronize with it.

Creating Mandatory Properties

Insight contains a set of eight mandatory properties that are used to manage Solid Edge documents in SharePoint.

  • SEDocID

  • SELinkData

  • SERevised From

  • SEStatus

  • SEStatusUser

  • SELastKnownLocation

  • SERevisionLevel

  • SERevisionRoot

The SEDocID property contains information that Insight uses to manage links. Every document managed by SharePoint has a unique ID. Insight stores the link information in the SEDocID property. If Insight cannot find links in the relative path structure of a managed document, it attempts to find the document based on the unique ID.

The SELinkData property contains a text representation of all the links in the document. It is used in where-used searches, reports, and to determine which documents to copy to the local cache during download.

The SERevisedFrom property contains the name of the document from which the selected document was revised. It is populated when you run the Set Action to Revise command in Revision Manager.

The SEStatus property contains the status of the document that is set on the Status tab of the File Properties dialog box.

The SEStatusUser property contains the name of the last user to change the status of the document on the Status tab of the File Properties dialog box.

The SELastKnownLocation property contains the URL where the document was stored the last time it was checked in. It is updated every time you check in a document and helps to find files that have been moved.

The SERevisionRoot property is the SEDocID for the very first document to be revised in the revision history. This makes it easier to find all of the files revised from a common root.

The SERevisionLevel property contains information that determines the location of a file within the revision tree so that the correct revision of the file is displayed when revision rules are used when opening the file.

Adding the Mandatory Properties

Before you can use Solid Edge Insight, as the administrator, you must create the set of mandatory properties on the server and set up the users and roles for access to specific folders in the managed library.

To do this:

Step 1. | On the Start menu, point to Programs, then point to Solid Edge Insight Server, and then click Workspace Editor.
Step 2. | On the Mandatory Properties Creation On Server dialog box, type the name of your document library and click Create. A dialog box is displayed when the properties are successfully created.
Step 3. | On the dialog box, click OK .


Sites, Document Libraries, and Dashboards

During installation, Windows SharePoint Services automatically creates a dashboard site and a document library.

Sites or document libraries, also known as managed libraries, consist of a collection of folders, management tools, categories, and indexed information. You can create, review, and publish documents in the site or document library.

You can connect to the site or document library from a web browser or Office applications.

The dashboard is a centralized access point for finding and managing information. You can use a web browser to find information and perform document management tasks. You can use the dashboard to perform such tasks as searching for documents and subscribing to information.

Note

You can use Internet Explorer to open Solid Edge documents.

Insight will not run in the default site because it is created before Insight Server modifies the site templates. Therefore, web components and workflow will not work in the default site. You should use sub-sites for all Insight work.

Site Group Rights

Each site group created in Sharepoint contains rights. There are three types of rights:

  • List-rights

  • Site-rights

  • Personal-rights

When assigning the Site-rights, if the site group is assigned only "View Pages" right, Insight is unable to determine if a specific user belongs to this group. To determine this, it is essential to have the Site-Right Manage Site Groups option selected for the site-group, which allows group users to revise documents.

Therefore, Insight needs to have the Site-Right Manage Site Groups option selected for the revise permitted site-group.


Document Management with Solid Edge Insight

Solid Edge Insight contains features to help you manage your documents such as:

  • Access control based on roles

  • Ability to create custom roles

  • Version tracking

As an administrator, you can assign roles to control access to documents. You should determine how much access to documents you want to give to a user before assigning a role to the user. For example, if you do not want a user to be able to edit a set of documents, you can make the user a reader for the folder containing those documents. The user will be able to view the documents, but will not be able to make changes to them.

Solid Edge Insight records the document history to help track any changes you make to the document. If you want to make changes to a document, you can check it out to deny other users write access to the document while you are making your changes. After you complete your changes, you check the document back in and make the document available to others. Each time you check a document in, Insight assigns a new version number to the document and archives the old document into the managed library. When you check out a document, you retrieve the most current version of the document, unless you restore an older version forward and make it the latest version.

SharePoint Roles

Microsoft SharePoint 2001 provided three default user roles:

  • Reader

  • Author

  • Coordinator

The functions for each role were fixed and you could not customize them. With Windows SharePoint Services 2003, there are five main default box user groups:

  • Guest

  • Reader

  • Contributor

  • Web Designer

  • Administrator

Roughly speaking, the roles between the two versions are mapped as follows:

Microsoft SharePoint 2001 role | Windows SharePoint Services 2003 group
Reader | Reader
Author | Contributor
Coordinator | Administrator

A guest is similar to a reader except it is set on a list-by-list basis. It cannot be given to a user at the site level.

A web designer is very similar to the administrator group, but they cannot manage users or create new sites.

Windows SharePoint Services 2003 also introduces the concept of user rights. Users rights are unique permissions like browse, delete, and edit that are combined to create Windows SharePoint Services 2003 groups. Because groups are made up of individual rights, the default Windows SharePoint Services 2003 groups can be modified. For example, you can remove the delete right from the Contributor group to prevent users from deleting files. You can also create new groups.

For more details see the Microsoft Windows SharePoint Services 2003 Administrator's Guide.

Another change from Microsoft SharePoint 2001 to Windows SharePoint Services 2003 is the way permissions are assigned in the system. In Microsoft SharePoint 2001, it was possible to assign user permissions on a per-folder basis. In Windows SharePoint Services 2003 default permissions and groups are set at the root site and they can be overridden in sub-sites or document libraries.

Note

You can only assign users to the default Windows SharePoint Services 2003 groups at the document library level.

If you need to imitate the folder-specific functionality that existed in Microsoft SharePoint 2001, you will need to create a new site and document library for each unique set of permissions. For additional details see the Migrating Insight from Microsoft SharePoint 2001 to Windows SharePoint Services 2003 document.

Managing Users and Site Groups

You must be an administrator to assign roles for a folder, site or document library.

To add a site group:
Step 1. | In Internet Explorer, select the appropriate site.
Step 2. | Click Site Settings.
Step 3. | On the Site Settings page, click Go to Site Administration.
Step 4. | On the Site Administration Page, under Users and Permissions, click Manage Site Groups.
Step 5. | On the Manage Site Groups Page, click the appropriate site group.
Step 6. | On the Manage Site Groups Page, click Add a Site Group.
Step 7. | On the Add a Site Group page, in the Site Name and Description section, type a site group name and description.
Step 8. | In the Rights section, click the appropriate options for the site group, and then click Create Site Group. Make sure to select the Browse Directories option under Site Rights or you will not be able to browse web site directories.
To add a user to a site group:
Step 1. | In Internet Explorer, select the appropriate site.
Step 2. | Click Site Settings.
Step 3. | On the Site Settings Page, under Administration, click Manager Users.
Step 4. | On the Manage Users Page, select the user(s) you want to add to the site group and click Edit Site Groups of Selected Users.
Step 5. | On the Edit Site Group Membership Page, under Site Group Membership, click the site group to which you want to add the user and click OK.


SharePoint Data Types

SharePoint 2003 adds several new data types and formatting options. While this information is visible from the SharePoint dashboard, the following data types and format settings are not visible within the Solid Edge application:

Data Type/Format Setting | Effect in Solid Edge
Date & Time- Date only | Solid Edge shows the complete date and timestamp.
Lookup | Properties of this type are not displayed in Solid Edge.
Calculated | Properties of this type are not displayed in Solid Edge.
Number minimum/maximum | These constraints are not honored by Solid Edge.
Show as Percentage | This display setting is not honored by Solid Edge. The stored value is displayed as a standard numeric value. For example, 33% is displayed as .33.

Microsoft also changed the way it handles Choice properties. In SharePoint 2001, you could add multiple fill-in values. With SharePoint 2003 you can only add one fill-in value per choice property in the document library.

Lists and document libraries in Windows SharePoint Services can only contain a certain number of fields or columns. The maximum numbers for fields and columns are:

  • 64 text fields, including the following field types:

    • Single line of text

    • Choice

    • Picture

  • 16 Lookup fields

  • 16 Date and Time fields

  • 16 Yes/No fields

  • 32 Number fields

  • 32 Multiple lines of text fields

Note

SharePoint and Insight add mandatory fields to a document library so the maximum limits are actually lower than those shown above.


Document Versioning

Document versioning allows you to keep multiple versions of a document. If you need to reverse a change you made to a document, you can restore the previous version and continue working. By default, versioning is turned off for Windows SharePoint Services document libraries. To turn this option on, go to the Document Library Settings page for the document library and select Yes for Document Versions.

Note

In SharePoint 2001, administrators could set a version limit. In SharePoint 2003 the version limit is unlimited. At this time Microsoft does not provide any automated tools for purging old versions for all the documents in a document library simultaneously. However, you can do it on a file-by-file basis.

We do not recommend that you use versioning until there is a utility for either setting the version limit or an automated method to purge versions from all the files in a document library due to the excessive disk space requirements added with unlimited versions.


Setting up SharePoint Server for Insight Queries

Insight Server accesses Microsoft SQL Server directly for queries. As a result of this, the Insight server components must have SQL access rights to the SharePoint databases.

To facilitate this, you must:

  1. Change the authentication mode to SQL Server and Windows Mode

  2. Establish an appropriate user account on the SQL server for Insight Queries

  3. Initialize the Insight SQL Server

Change the authentication mode to SQL Server and Windows Mode

SQL Server offers two methods of authenticating users: Windows Authentication or SQL and Windows. Whether you are migrating from a previous version of Insight that used Windows Authentication, or performing an initial installation of the Insight Server Software, you must set the Authentication Type for SQL Server to SQL Server and Windows mode using the following steps.

  1. Log in to an administrative account on the SQL database server and start Enterprise Manager: Click Start -> Programs-Microsoft SQL Server -> Enterprise Manager.

  2. When Enterprise Manager starts, in the navigation pane, expand the Console Root folder, then the SQL Server Group, until you see your server listed. Your server name may simply be LOCAL.

  3. Right-click the server, and on the shortcut menu click Properties.

  4. On the SQL Server Properties dialog box, select the Security tab.

  5. On the Security tab, in the Security pane, set the Authentication option to SQL Server and Windows.

  6. Click OK to apply the change.

  7. If prompted, allow the SQL server to restart; then log in to an administrative account, start Enterprise Manager, and navigate to your server again.

Establish an appropriate user account on the SQL server for Insight Queries

Direct queries to the SQL server require an account. Follow these steps to establish the account that will be used for the queries.

  1. In Enterprise Manager, navigate to your server.

  2. Open the Security folder, right-click Login, and select New Login…

  3. On the General tab of the SQL Server Login Properties dialog box:

    1. Select and add a new username, for example “InsightUser”.

    2. Select the SQL Server Authentication Option and define the password for this account.

    3. In the Database list, select the content database with a name beginning "STS_". This is the database that Share Point uses.

  4. On the Database Access tab of the SQL Server Login Properties dialog box:

    1. Check Permit to allow this login access to the SharePoint database, sedb, and all content databases (whose names typically begin with "STS_". If you are running SharePoint Portal Services, there may be other databases as well that you will wish to query with this account.

    2. For each of these databases, in the Permit in Database Role list, check db_datareader.

Initialize the Insight SQL Server

An administrator on the Insight server must initialize the SQL server to generate content database information for the SharePoint server and store it for use with Insight Queries.

  1. Log in to an administrative account on the Insight server.

  2. On the Start menu, click Insight Server V#, then Initialize Insight SQL Server.

  3. In the Insight: SQL Server Login, provide the User Name and Password you defined for the account you created above.


Working with Insight
Adding Solid Edge Documents to a Managed Library
Deleting Solid Edge Documents from SharePoint
Defining the Search Scope
Managing your Local Cache
Managing Solid Edge Documents
Creating Custom Reports
Managing Workflows with Insight Server
Typical Workflow for Using Insight Technology to Manage Solid Edge Documents in a Library
Viewing the Log File in Solid Edge
Integrating Insight with Other Systems
Working Offline Using Insight


Adding Solid Edge Documents to a Managed Library

You can add multiple documents and folders to a managed library using Insight Connect or individual documents using Solid Edge

Adding Documents Using Insight Connect

You can use the Add to Library command on the Manage menu in Insight Connect to load your unmanaged Solid Edge documents and folders to a managed library. You must have Author privileges to add documents and folders to a managed library. You can add a single document, multiple documents, or an entire folder.

Adding Documents Using Solid Edge

When you create a new document, you can use the Save As command in Solid Edge to add the documents to a managed library. On the Save As dialog box, in the Save In box, select the managed library folder you want to use. When you close the document, it is added to the library.

When you add a Solid Edge document to the library, any other documents linked to the document are also added to the library. When you select a folder to add to the managed library, all the documents in the folder are also added to the library.

When you add a folder to a managed library, the folder structure is duplicated in the managed library. For example, if you select C:\mydocuments/parts, a new folder named parts is created in the managed library. After you add the documents and folders to a managed library, you can use Insight Connect to modify the folder structure and the links are maintained.

You cannot use the Add to Library command to move documents from one library to another. Instead, you should use Revision Manager to move documents between managed libraries.

Folder security settings, approvals, profiles, and folder types are inherited from the parent folder for any new folders created during the add process. For example, if you add a Solid Edge Part document, flat050.par, into the managed folder, Washers, the part inherits the characteristics for the Washers folder.

Direct and Indirect Documents

The documents that you select to add to the managed library are called direct documents. These direct documents may contain links to other documents or reference other documents, which are known as indirect documents. For example, when you add an assembly to a managed library, all the parts and subassemblies within the selected assembly are indirect documents, if you select only the assembly document to add to the library. Similarly, a part copy within a part document or a part referenced within a drawing document are also indirect documents.

Adding XpresRoute Documents

When you create a tube part in XpresRoute, a part file is created that contains the tube geometry. The tube part also contains a reverse link back to the assembly where the tube was created.

Suppose you open a new assembly, enter the XpresRoute environment, and create a tube. Until you save the assembly, the reverse link cannot be solved. To solve the reverse link, you are required to save the assembly before you create a tube in a managed library.

If you want to add an existing tube part to a managed library, you should repair the links first. In Insight Connect, run the Search for Broken Links command on the Tools menu under Link Management to find the temporary name of the assembly. Once you have the assembly name, run the Redefine Links command on the Tools menu under Link Management to replace the temporary file name with the full path of the link.

For example, suppose you run the Search for Broken Links command and it reports a temporary name for an assembly named Assembly1a.asm. When you run the Redefine Links command, a series of Redefine Link dialog boxes allows you to solve this broken link. On the second Redefine Links dialog box, in the Current Link Path field, type assem1.asm. In the Redefine Link Path field, type the full path for the assembly file, for example, D:/projects/p105\Assembly1a.asm. This will resolve the link.

Preparing to Add Documents to the Managed Library

There are a few things you should do before you add documents to a managed library. You should:

  • Find and repair all broken links

  • Find duplicate document names

  • Remove non-managed documents

  • Scan for invalid document names

You can add documents containing broken links to a managed library. However, you should be aware that documents containing broken links will take longer to open. The Add to Library command, on the Tools menu under Link Management in Insight Connect, allows you to do a dry run to identify files that contain broken links or invalid characters at a single level. Before running the Add to Library command, make sure the Allow Broken Links option on the Manage tab of the Options dialog is not checked if you do not want to add documents containing broken links to the library. If you do not check the Allow Broken Links option and the dry run finds documents with broken links, an error dialog box will display a list of broken links and instruct you to fix the broken links before adding the documents to the library. If you checked the Allow Broken Links option, once the dry run is complete, the Dry Run Complete dialog will appear and allow you to add the documents to the library and update the status of the documents to "Checked In."

As the dry run scans the list of documents, it does more than check for broken links. The dry run checks folders and documents for invalid characters. When a document is added to the library, any invalid characters are replaced with an underbar, ( _ ), and the current timestamp is appended to the file name. Any links that point to the old name are updated to point to the new name. If a folder has an invalid character in it's name, you will need to rename the folder and update the links pointing to the old folder name prior to importing the files into Insight. For more information on updating links, see help for the Redefine Links command. The dry run reports an error when the local cache path for the given file or cookie file name and path exceeds 256 characters.

Conducting a dry run to identify broken links is recommended, but you can also search for broken links before adding documents to the library. The Search For Broken Links command, on the Tools menu under Link Management in Insight Connect, allows you to create a list of files that contain broken links. You can search for broken links in individual documents, or a complete folder structure, including subfolders. The Search For Broken Links command creates a text file that lists the broken links along with a list of possible replacements for the broken links. This can be useful if there are a large number of broken links. You can use the File Locations tab on the Options dialog box to specify the location of this text file. You can also click the View button on the Search For Broken Links Results dialog box to view the text file.

There are several ways you can repair these broken links, depending on the number of files containing broken links. If you have several files that contain broken links, you can use the Redefine Links command to repair them. If you only have a few files, you can use Revision Manager or the Edit Links command to repair them or open them in Solid Edge.

You can add duplicate documents to a managed library, but duplicate document names cannot exist in the same folder. The Search for Duplicate Document Names command, on the Tools menu under Link Management in Insight Connect, allows you to find all documents that have the same name. If duplicate document names are found, you should ensure that you are adding the correct document to the library.

The Search For Duplicate Document Names command creates a text file that shows the name and location of duplicate documents. You can use the File Locations tab on the Options dialog box to specify the location of this file.

When you add a folder to the library, every document in the folder is added to the library, regardless of whether or not you want to manage them. You should remove any documents that you do not want to manage before adding the folder to the library. These documents might include text or log files that reside in the folder you want to import.

The SharePoint Portal Server has some limitations on which special characters it supports. It is very important that you scan your local folder for invalid document names before adding them to the managed library.

High ASCII, double-byte character set (DBCS) and Unicode are supported for all languages, except for the following limitations:

Limitation on Folder and Document Names

  • SharePoint Portal Server supports the same conventions that the file system supports for naming folders and documents. Folder and document names can consist of all Unicode characters except for the following characters:

  • / \ : * ? " < > | # { } % & ~ or tab characters and multiple periods.

  • If a file, folder, or URL name in your original site contains one of these characters, it is replaced with an underscore (_). Multiple periods are replaced with a single period. Additional digits may be appended to the file or folder name if there are conflicting renaming changes. Folder names cannot begin with an underscore (_).

  • If you have unmanaged folders that contain an invalid character, you can rename the folders in Windows Explorer, then use the Redefine Links command to change the links in the files to point to the new folder name.

Limitations on Library Names

  • Library names can consist of characters 0-9, a-z, and an underscore (_). The underscore cannot be the leading character in the document library name.

  • The lower ASCII code set includes the characters with codes 32-127.

  • The library name cannot exceed 255 characters in length.

Limitation on Schema Element and Column Names

  • Schema element and column names cannot use the following characters: # : \ ? * < > % / | " ~

  • Column names can contain spaces.

Limitations on Number of Characters in URLs and Schema Element Names

  • Uniform Resource Locators (URLs) are limited to 900 bytes. Typically, the limitation is 254 Unicode characters for English. If a Unicode-based character set other than English is used, the limitation is 100 characters.

  • Schema element names (the property title field) are limited to 100 characters.

Folder Mapping File

If the documents you want to add to the managed library contain links to other documents, such as an assembly that contains many parts in several folders that are on different drives, you will need a folder mapping file. The linked documents are included in the add process, but Insight needs a way to determine where these documents should go in the managed library. You can use the FolderMap.txt in the Program folder to specify how the linked documents within the unmanaged folders are added to the managed library destination folders. For example, you can map a folder, C:\PartsLibrary to a managed folder. When you add the linked documents, any documents that reside in C:\PartsLibrary, or any subfolders below it, are placed in the managed folder structure you define in the FolderMap.txt file.

By default, the FolderMap.txt file is located in the Solid Edge Program folder. For example, if you loaded Solid Edge to drive C, the path would be C:/program Files\Solid Edge/program\FolderMap.txt.

You can specify for Solid Edge look for the FolderMap.txt file in a different folder, including a folder on another machine on the network. To specify a different location, on the Tools menu, click Options. On the File Locations tab on the Options dialog box, select Insight Folder Mapping and then click Modify. You can then browse to the drive and folder containing the FolderMap.txt file. You can use a text editor, such as Notepad, to edit the file.

If the linked documents reside in the same folder you are importing, or in a subfolder below it, you do not need to use the FolderMap.txt file. Insight Connect automatically knows where to place the linked documents and can modify the link information. Insight Connect can also create the folders in the managed library where the linked documents will reside.

If the linked documents reside in folders above the parent document folder, or on different drives, Insight Connect cannot automatically determine where to place the linked docs. In this case, you will need to use the FolderMap.txt file.

For example, in an assembly that consists of:

Assembly - C:\Dir1\Dir2\Assembly1.asm
Parts - C:\Dir1\Dir2/part1.par
        C:\Dir1/part2.par
        D:\Dir1\Dir2\Dir3\Dir4/part3.par

If you want to add the assembly to http://mymachine/se/docs, the FolderMap.txt file would have the following entries.

Source:C:\Dir1 Destination:http://mymachine/se/docs/Dir3
Source:D:\Dir1\Dir2\Dir3\Dir4
Destination:http://mymachine/se/docs/Dir3/Dir4

This string places all linked documents, for which a folder location cannot be created, in the docs folder in the managed library. You can also add another location to the end of the destination string if you want to create a new folder to store the documents.


Deleting Solid Edge Documents from SharePoint

The Delete From Library command on the Manage menu allows you to select documents and folders you want to delete from the library of managed documents on your server. You can delete a single document, multiple documents, or a folder. When you delete documents and folders from the server, they are also deleted from your local cache. You must have author privileges to delete documents and folders. We recommend that you remove delete privileges from all standard user groups so that only an administrator can delete documents.

Note

You should always use the Delete From Library command to delete managed documents. If you delete managed documents using Windows Explorer or Internet Explorer, you may accidentally break links between the Solid Edge documents.

Selecting Documents and Folders to Delete

When you click the Delete From Library command, the Delete From Library dialog box is displayed so you can select the documents and folders you want to delete. You can use the options on the dialog box to browse to the managed folder that contains the documents you want to delete. The Delete From Library dialog box will only display managed folders and documents. You will not be able to see documents or folders that are not managed.

To specify the documents and folders you want to delete, select them from the Name column on the left side of the dialog box, then click the Add button to add them to the Selected Folders And Files list on the right side of the dialog box. The Remove and Remove All buttons allow you to remove items from the Selected Folders And Files list. When you have completed the list of items you want to delete, click the OK button to start the delete process.

Preventing Broken Links

When you select the OK button, Solid Edge automatically performs a where used search first to check if any of the documents you want to delete are linked to other documents. If the document you want to delete is linked to another document that is not being deleted, a message is displayed and the document is not deleted. For example, if you select a Part document to be deleted, but the Part document is linked to a Draft document that is not being deleted, you will not be able to delete the Part document. When deleting folders, Solid Edge checks to see if the folder is empty before deleting it. You can only delete folders that are empty.

Defining the Search Scope

When deleting documents using the Delete From Library command, the SearchScope.txt file determines which folders to include in the where used search. You should add entries to the SearchScope.txt file for each managed site or document library at your company. For example, if you create a site or document library named SolidEdgeWS on a server named is server123, you would add the following entry: http://server123/SolidEdgeWS. You can use a text editor, such as Notepad, to edit the file. You do not need to add entries for subfolders within a managed site.

Note

You need to add an entry for each document library to the SearchScope.txt file.

By default, the SearchScope.txt file is located in the Solid Edge Program folder. For example, if you loaded Solid Edge to drive C, the path would be C:/program Files\Solid Edge/program\SearchScope.txt.

You can also specify that Solid Edge and Insight Connect look for the SearchScope.txt file in a different folder, including a folder on another machine on the network. To specify a different location, on the Tools menu, click Options. On the File Locations tab on the Options dialog box, select Search Scope and then click Modify. You can then browse to the location where the SearchScope.txt file is located.


Defining the Search Scope

When deleting documents using the Delete From Library command, the SearchScope.txt file determines which folders to include in the where used search. You should add entries to the SearchScope.txt file for each managed site or document library at your company. For example, if you create a managed site or document library named SolidEdgeWS on a server named is server123, the SearchScope.txt file would have the following entry:

http://server123/SolidEdgeWS.

You can use a text editor, such as Notepad, to edit the file. You do not need to add entries for subfolders within a managed library.

By default, the SearchScope.txt file is located in the Solid Edge Program folder. For example, if you loaded Solid Edge to drive C, the path would be C:/program Files\Solid Edge/program\SearchScope.txt.

You can also specify that Solid Edge and Insight Connect look for the SearchScope.txt file in a different folder, including a folder on another machine on the network. To specify a different location, on the Tools menu, click Options. On the File Locations tab on the Options dialog box, select Search Scope and then click Modify. You can then browse to the location where the SearchScope.txt file is located. You cannot use a URL as part of the path you specify for the SearchScope.txt file.


Managing your Local Cache

When working with managed documents, Solid Edge creates a local cache of the viewed documents to improve performance. You can use the File Locations tab on the Options dialog box to specify the location of your local cache.

Every document that is loaded to your local cache has a cookie file associated with it. This cookie file contains information such as the actual location from which the document was loaded, the check out status of the document, and the timestamp of the document in the managed library at the time it was downloaded. Solid Edge creates a hidden folder named Cookies(username) beneath your local cache folder to store these cookie files. For example, if your user name is jsmith and you specify your local cache location to be D:\managed documents, Solid Edge creates a folder D:\managed documents\Insight\Cookies(jsmith).

A local cache is faster and more reliable than a mapped network drive. When you open a document, Solid Edge automatically manages the synchronization between the document stored in the library and the document in your local cache. Solid Edge checks your local cache to see if the local document is up to date with the version of the document in the managed library. Solid Edge then opens the local file or copies the current version from the managed library to your local cache.

The Cache Assistant command on the Manage menu allows you to manage your local cache. You can use the Cache Assistant dialog box to synchronize all the documents in the managed library, check in documents you have checked out, download documents from the managed library to your local cache, or delete documents from your local cache.

You can use the buttons on the dialog box to manage all the documents in your local cache, or you can use the shortcut menu commands to manage selected documents. Similar to Windows Explorer, you can use the CTRL key to select documents randomly, or the SHIFT key to select a sequential list of documents.

The Show option on the Cache Assistant dialog box allows you to control which documents are displayed in the list. You can set this option to display only checked out documents, out-of-date documents, or all the documents in your local cache.

Synchronizing Documents in the Library

The Synchronize All button on the Cache Assistant dialog box checks your local cache for any out-of-date documents, and then downloads the latest version from the managed library to update your local cache. You can also use the Synchronize command on the shortcut menu to synchronize selected documents.

Note

When working in the Assembly environment, you can limit the files to be synchronized to only the files displayed in Assembly Pathfinder.

Checking Documents In and Out of the Managed Library

You can use the Check Out command on the Cache Assistant shortcut menu to lock a document in the managed library, which prevents other users from making changes to it. The Check Out command also changes the document status in the local cache to read-write, so you can make changes to the document. If you check out a direct document, read-only copies of all indirect documents are downloaded to your local cache. If you in-place activate a part in an assembly, Solid Edge checks out the part.

After you make changes to the checked out document, you can use the Check In All command on the Cache Assistant dialog box to upload the documents to the managed library and make them available for other users to check out. You can also use the Check In command on the shortcut menu to check in selected documents.

You can use the Undo Check Out command on the Cache Assistant shortcut menu to undo changes you make to a checked out document. In other words, any changes you have made to the checked out document are lost when you undo the check out of the document. This also releases the check out lock on the document in the managed library, which allows other users to make changes to the document. If you undo the check out of a direct document, you also undo the check out for any associated indirect documents that are checked out. The Undo Check Out command does not upload the document to the library, and it is not removed from your local cache.

Downloading Documents to Local Cache

You can use the Download button on the Cache Assistant dialog box to select documents from the managed library and download them to your local cache. This is helpful if you want to manage your cache manually or work off-line. When you click the Download button, the Download dialog box is displayed, which allows you to select the documents you want.

Deleting Documents from Cache

The Delete All button removes all the documents in your local cache. This is helpful if you want to free up disk space or force the local cache to update with the latest information from the managed library.

Checking Document Revisions

The Revised From command on the shortcut menu displays the name and folder path of the document that was used as a template to create the selected document. The Show Revisions command on the shortcut menu displays the name and folder path of any documents that are revisions of the selected document.

Opening Documents

The Open command on the shortcut menu opens the selected document in the application used to create it. The document opens after you close the Cache Assistant dialog box.

Scheduling Cache Management Tasks

You can use Insight Cache Manager to schedule cache management to run during off-line hours. To access the Cache Manager executable, on the Start menu, point to Programs, point to Solid Edge Version #, point to Insight, and then click Cache Manager. This displays the Cache Manager dialog box that assists in scheduling cache management tasks. After you select the processes to schedule, click Schedule to display Username and Password dialog box that allows you to specify the username that will be used to run the task. After entering the username and password, click OK to display a standard Microsoft task schedule dialog box. You can schedule tasks to run once, daily, weekly, monthly, or at startup or login. The dialog box also contains a When Idle entry for scheduling tasks. However, because of the possibility of a negative affect on server performance, Insight does not allow you to select this option.

If Solid Edge or Revision Manager is running when Cache Manager is scheduled to run, Cache Manager is cancelled and an error is added to the log file. To avoid this, make sure you close all files before Cache Manager is scheduled to run.

You cannot have separate Cache Manager processes running simultaneously. If a process is still running when a second process is scheduled to run, the second process is cancelled and an error is added to the log file. To avoid this, make sure that you schedule sufficient time for each process to complete before another process begins.

If you are offline when a Cache Manager process is scheduled to run, Insight attempts to go back online and run the scheduled processes. Once the processes complete, you are returned to offline mode.

Your scheduled setting preferences are stored in a file called CacheMgr.ini. This file is stored in the Solid Edge Program folder if you have Solid Edge loaded. The file is stored in the Insight Program folder if you have only stand-alone Insight Connect loaded.

You can use Solid Edge Administrator to control the options to allow document checkin, document synchronization, or document download.

Updating Document Library Event Handlers

If you encounter problems scheduling your cache management tasks, there may be a problem with the document library event handlers. You should check the following:

  • Ensure the events are enabled on the virtual server.

    Step 1.

    Go to the SharePoint Central Administration page.
    Step 2.

    Select Configure Virtual Server Settings in the Virtual Server Configuration section of the Administration page.
    Step 3.

    Select a web site to configure.
    Step 4.

    Select Virtual Server General Settings in the Virtual Server Management section of the Virtual Server Settings page.
    Step 5.

    Turn Event Handlers On in the Event Handlers section of the Virtual Server General Settings.

  • Ensure the document library has the event sink assembly set.

    Step 1.

    On the appropriate Share Point site, go to the document library you want to monitor.
    Step 2.

    Under Actions, click Modify Columns and Settings.
    Step 3.

    Under General Settings, click Change Advanced Settings.
    Step 4.

    In the Event Handler section of the Assembly Name field, ensure the assembly name is specified.
    Step 5.

    In the Class Name field, ensure that a class is specified.
    Step 6.

    If there is no data in the Assembly Name or Class Name, you should specify them as:

    Step 1.

    In the Assembly Name field, type SEEventLoggin, Culture=neutral, Version=1.0.0.0,PublicKeyToken=6a0a10f1c5fe3153.
    Step 2.

    In the Class Name field, type SEEventLogging.SEEventHandling.
    Step 3.

    At a command prompt, run iirest.exe.

  • Ensure the Insight assemblies are added to GAC. If they are not added, run Insight Server setup again.

  • If problems still persist, clean all entries in the event handler and read SE event handlers as described in the second bullet above.

  • If problems still persist, check the Windows System Event Viewer to check for system-generated messages. A message will be logged if the event handler assembly is not created.

The above check list ensures that events are being logged properly. If the events are being logged, but Link Fixup Manager does not work properly, the latest InsightLinkFixupUserLogxxxxxxxx.txt, InsightLinkFixupDevLogxxxxxxxx.txt, and Insight_Webservice.txt file from the server machine assist in debugging the problem.

Simplified Insight Server Setup

After running the simplified Insight setup, a dialog appears that allows you to provide:

  • The log files location.

  • The Insight Cache Location.

  • SearchScope.txt file location.

  • A button to schedule the task.

You can associate only one event handler assembly for a document library in SharePoint. Currently Insight delivers a workflow application that also works on events. So you can have multiple SharePoint event listeners running, two assemblies are delivered with the Insight Server setup and both will be added to the GAC:

  • InsightEventLogging.dll

  • SEEventHandler.dll

InsightEventLogging.dll performs the actual logging the information of the events. SEEventHandler.dll listens to the events and uses the InsightEventLogging.dll to log the event data.

If you are using other event handlers other than SEEventHandler.dll you need to do the following:

In the development code project add a reference to the InsightEventLogging.dll by browsing to the Insight Server Program folder

Step 1. | Add the statement "using InsightEventLogging" at the top of the project.
Step 2. | In the OnEvent method add the following two statements SEInsightLog LogEvent = SEInsightLog.GetInstance(); LogEvent.SELogEventWithInsight(listEvent);

The workflow application was modified by following the same steps.

Making this change allows you to have your own event handler implementation. You can pass on the event information to Insight so that the information needed for batch schedulers will be logged and you can do what you need to do with the event.

Event Logging

Cache Manager events are logged 20 at a time. It is possible that there are events residing in memory when the server begins processing. The events are written to the log file when the server reboots. To ensure that all processed, you should schedule a server reboot task before you run the secure link fixup task.

You can use the Insight Logging Settings dialog box to enable event logging and specify the location of the log files. To access the dialog box, on the Start menu, point to Programs, then point to Solid Edge V18, then point to Insight, and then click Insight Logging.


Managing Solid Edge Documents

There are different ways to manage Solid Edge documents. You can use a non-portal client, such as Internet Explorer to do such things as copy or rename documents. Because information is being shared and used between these documents, maintaining the relationship information between these documents can be quite complex. Insight uses a concept called Secure Links to help manage this information. Each document managed by SharePoint has a unique id that Insight stores as part of the link information. If Insight cannot find links in the relative path structure of a managed document, it attempts to find the document based on the unique id. With Insight, you can rename or move documents without having to use the Where Used command in Revision Manager to update these links. Insight can find the documents automatically. Because of this ability to avoid possible relationship problems, we recommend that you use Insight to manage your Solid Edge documents.

Note

Because of a Microsoft limitation, you should use Insight Connect : Revision Manager to move or rename documents. If you use Internet Explorer or Windows Explorer to move documents across sites, the Solid Edge properties are not moved.

Insight Connect has commands such as Rename, Delete from Library, Find Broken Links, Redefine Links, and Find Duplicate files that help you manage document links.


Creating Custom Reports

Insight allows you create custom reports from your data. It uses the property and link information from documents stored in the library, and not the local copy, to create these reports. For example, if you create a report on an open document, the report will contain information from the last version of the document you checked in, not the version you have open. Role privileges are applied when generating reports so the results of the report may vary from user to user, depending on the roles for the user.

Report Types

You can create the following types of reports:

  • Bill of Materials

  • Exploded Bill of Materials

  • Summary of Atomic Parts

  • Parts List

Formatting a Report

You can format the report using the Format option on the Reports dialog box. Using the Format Report dialog box, you can set the following:

  • font

  • column headings (based on available properties)

  • sorting method

Each property you include in the report will be a new report column. Standard properties you can choose from include Quantity, Document Number, Revision, and Author. You can also include custom file properties that you have recorded in the part and subassembly documents.

After you have formatted the report, you can preview the report output by selecting the OK button on the Format Report dialog box.

Outputting the Report

After previewing the report, you have the following options:

  • Save the current report

  • Print the current report

  • Copy the current report to the Clipboard

  • Create another report

Saving a Report

The Save As option allows you to define a storage location, document name, and output type. You can output the report as a text file (.TXT) or rich text file (.RTF).

Adding Properties to Managed Documents

If you add new custom properties to managed Solid Edge documents, you must also add these properties to the managed document library on the SharePoint server to make them available in an assembly report. Managed document profiles are stored in the Document Profiles folder on the SharePoint server. To properly synchronize the Solid Edge file properties and the SharePoint managed document profile properties, the property names must match exactly.


Managing Workflows with Insight Server

Insight Server delivers an Insight workflow application. To create the the necessary lists in SharePoint, run the Microsoft.SharePoint.Workflow.SetupWizard.exe application located in the Insight Server programs folder.

Note

If you are running in a server farm environment, this application should be run on each front-end web server by installing Insight Server on each web server. After running it on the first web-server, select the existing lists to properly setup the configuration file.

Getting started

To get started with workflows you should:

  • Turn on Content Approval

  • Turn on Event Handlers

  • Set up workflow designer

Turn on Content Approval

The workflow application uses content approval to move documents through the approval process. This option must be turned on so that the workflow setup wizard can select an existing document library if the document libraries have already been created. To turn Content Approvals on, select the General Settings page for the document library and select Yes for the content approval if the document library already exists.

Turn on Event Handlers

The workflow application uses event handlers to watch when something happens to a document. Before running the workflow setup wizard, verify this option is turned on by using the following steps:

Step 1. | Go to the SharePoint Central Administration page.
Step 2. | Select Configure Virtual Server Settings in the Virtual Server Configuration section of the Administration page.
Step 3. | Select a web site to configure.
Step 4. | Select Virtual Server General Settings in the Virtual Server Management section of the Virtual Server Settings page.
Step 5. | Turn Event Handlers On in the Event Handlers section of the Virtual Server General Settings.
Note

Make sure that the web site you want to configure is a sub-site of a top level site.

Set Up Workflow Designer

  • To use the workflow designer application, install Visio 2003 on the SharePoint server.

Enhancements to the Workflow Application

Microsoft delivers the core of the workflow application. Insight made the following enhancements to Microsoft's workflow application:

  • Added the ability to email the document's author when a document finishes the approval process or is rejected

  • Allow notification-only users, which allows the workflow to notify someone that a document is going through the approval process without having to give them approval rights.

  • If a document reaches it is threshold, set remaining pending users to Approve/Reject and set their weight to 0. This cleans up the Workflow Instances table and makes it easier for users to see which documents are still waiting for the user's approval.

Configuring a Workflow

It is important that you understand some of the common things you can do with the workflow application. While this section covers some of the more common things you will want to do, be sure to read the Example Workflow with SharePoint 2003.doc delivered with Insight Server to get a better understanding of the workflow application and it is capabilities.

Note

Allow for change when creating your workflows by incrementing ordinals by 10 or 100.

The samples in this document assume sites are using the default threshold weight of 10 to determine when a document should move to the next ordinal. The samples shown can be combined and mixed to create a workflow with as many steps as are necessary for your site.

Using Serial Approvals

Serial approvals allow you to send documents for approval in sequential order, based on the ordinal value specified in the Workflow Definitions table.

To setup serial approval:

Step 1. | Add an entry in the Workflow Definitions table for each step in the approval process.
Step 2. | Give each step in the workflow a unique ordinal with an approval weight of 10.

The workflow sends the document through the approval cycle from the lowest ordinal to the highest.

In the following example there are serial steps:

  • Design Review

  • UI Review

Note

In this example it shows Approve to and Reject to ordinals for each step in the process. By default the application will approve to the next-higher ordinal and reject to the next-lower ordinal but it is better to fill in the fields so it is clearer what is happening throughout the workflow process.

Using Parallel Approvals

Parallel approvals allow you to have multiple entries in an ordinal, all of which must be approved before the document can be completely approved.

To create a parallel step in the workflow, add multiple entries for an ordinal. The entries can have different titles, but the ordinals must be the same and the total approval weight must add up to 10 or more. In the following example we have a parallel approval:

  • Design Review

  • UI Review

Both of these entries need to be approved before a document can be completely approved.

Parallel approvals allow you to create steps in the workflow that require a majority approval before the document moves to the next ordinal. The key is to assign each user enough Approval Weight so when the weight reaches 10 or more, you have the number of approvals you need. The following example requires one out of three people to approve the document: Tamra, Shane, or Tim.

To change it so two out of the three people need to approve the document, you can drop the Approval Weight for each of the users to 5 as shown:

Parallel steps can also have a "master" approver that can override everyone's decision. To do this, give one person on the ordinal an approval weight of 10. This is useful for times when you can't reach a consensus or too many people are out of the office. In the following example, Jeff can approve or reject a document, regardless of what the other users do:

Finally, to add a notification-only user, add a person with Approval Weight of 0. In the following example Laura has been added as a notification-only user:

Branch Based on Approver

There may be cases where the user that approves a document in a parallel step branches the approval process. To do this with the workflow application, assign each approver enough weight to approve the document to the next ordinal and assign different Approve To Ordinals to each user.

Note

In this example it shows Approve to and Reject to ordinals for each step in the process. By default the application will approve to the next-higher ordinal and reject to the next-lower ordinal but it is better to fill in the fields so it is clearer what is happening throughout the workflow process.

Each of the branches should end at a common final ordinal since the application automatically increments to the next higher ordinal once approvals are complete at each step. In this example, if the 100 ordinal branch did not have a final approval that sent the process to ordinal 900, the 200 branch would start then the 300 branch.

More Information on Workflows

Documents move forward through the workflow when the total Approval Weight is equal to or greater than the Weight Threshold, which has a default value of 10.

When a user rejects a document, their Approval Weight is added as a negative value. When the total Approval Weight is equal to or less than -10, the document is rejected to the previous ordinal.

In parallel steps, it is possible for some users to approve giving the document a positive Approval Weight and other users to reject the document giving it negative approval weight so that the total weight never reaches +/- 10. There are a couple of ways to guard against this problem. Always be sure to give parallel ordinals a deadline date. If a document is not approved or rejected by this date, it is automatically rejected. You can also assign a master approver that can override everyone's decision.

By default, the Workflow Definitions list is sorted based on the order that entries are added to the list. To make it easier to see the approval process, change the default sort order for the list by modifying the default view. For example, group the list based on the Document Library column and sort it based on the Ordinal, in descending order.

If you have multiple large workflows, create a separate view for each library. Create a new Public or Personal view. Sort the view based on the Ordinal column and filter the view based on the document library.

Adding the new view adds a new entry to the Select A View section of the left shortcut bar on the Workflow Definitions page.

They may be referred to as Engineering Change Orders (ECO), Engineering Change Notices (ECN), or Engineering Change Requests (ECR), but they all refer to the same thing. A packet of information used to track engineering changes within the design and manufacturing process.

Typically, an Engineering Change (EC) consists of a bundle of change requests attached to a drawing. It includes an identification number, a requested change, the person requesting the change, the time of the request, and a routing slip to identify the people who need to approve the change. Once the change is approved, an effective date is added to specify when the change will be used in production. On the effective date, the approved drawings are moved to a place where the shop floor can view them.

In an electronic environment, a document or set of documents outlining the changes that are being made are routed through various approval states based on steps within the workflow.

Implementing an ECO Process with the Packaged Collaboration File (PCF)

There are a few steps you should take in implementing Insight and the packaged collaboration file.

Step 1. | Ensure users are mapped to the specified site groups for each document library.
Step 2. | Verify the privileges for each user work properly for each document library.
Step 3. | Run Solid Edge Administrator to set up the default root folders.
Step 4. | Set up alerts for the appropriate users in the packaged collaboration document library.
Step 5. | Set Approvals/Moderation to ON in the ECR and ECO document libraries.

The PCF document library location is a location within the engineering site in which non-engineering personnel, such as shop floor and service technicians, have write access. This allows them to create PCF files and store them in an "incoming" location.

With moderation on in the ECR and ECO document libraries, an approval workflow can be started when the PCF file is moved to that location.

The ECR document library can be thought of as the location to request approvals to create revisions of released documents. If your company does not require approval to create revised documents, you can skip this document library and create revisions without approvals.

The ECO document library can be thought of as the location to request release of revised documents after all changes have been made to the revisions.

Example of Using Insight to Implement an EC Process

The following steps describe the workflow for using Insight Connect : View and Markup to implement an ECO process. In this example, we will take Assembly1.asm through the ECO workflow. This example assumes that the steps needed to set up the ECO workflow have been completed and the appropriate users, roles, and document libraries have been created as shown in the table.

User | PreRelease Subsite | Release Subsite | Obsolete Subsite | Markup Subsite | ECO Subsite | ECR Subsite
Shopfloor TechSupport | None | Viewer | None | Creator | Viewer | Viewer
Engineer | Creator | Viewer | Viewer | Creator | Creator | Creator
Release Mgr | Deletor | Deletor | Deletor | Deletor | Deletor | Deletor
Admin | All | All | All | All | All | All
SESTATUS | Available In Work In Review | Released Baselined | Obsolete | Available | Available In Work In Review | Available In Work In Review
Note

The user moving the packaged collaboration file from one location to another needs to have Delete privileges. For example, you probably want to set up your workflow where the pcf can be moved by a Manager or an Admin , but not an Engineer or someone from the shop floor.

Going Through the Workflow
Step 1.

Shopfloor Joe identifies a problem with an assembly and searches the Released site for the assembly document or its related draft document.

Note

Shopfloor Joe may also want to search against the assembly or draft document to see if PCF documents already exist.
Step 2.

Shopfloor Joe opens Assembly1.asm in Insight Connect : View and Markup and views the assembly. He can add comments to the assembly document and save the contents as a PCF file.

Step 3.

Engineer Ron receives an email notification when the file is added to the PCF document library. In order to receive email, Alerts must be turned on for this library.

Step 4.

Engineer Ron opens the package collaboration file and reviews the comments made by Shopfloor Joe that indicate that Part3.par needs to be revised.

Step 5.

Engineer Ron switches from View and Markup to Revision Manager, while in Insight Connect, and does a where-used search to identity the documents that will be impacted by the revision. The search results include:

  • Part3.par, Part3.dft

  • S2.asm, S2.dft

  • AssemblyA.asm, AssemblyA.dft

  • AssemblyC.asm, AssemblyC.dft
Step 6.

Engineer Ron can perform the actions specified if no approval is needed or add information to the PCF file outlining the revisions being requested. He can use an Office document to do this.

Step 7.

Engineer Ron adds all the information needed to describe the requested changes and saves the PCF file to disk.
Step 8.

Release Mgr Kevin moves the completed package collaboration file to the ECR or ECO location, depending on the approval requested. Moderations should be turned on for these locations. The approvers for the ECR location receive notification to approve the package collaboration file.

Step 9.

The approvers review the PCF file in the ECR document library and approve or reject the requested changes. Remember, for ECR, the approvers are either approving or rejecting the request to create revisions of released documents at this time.

Step 10.

Once the request to create revisions is approved, Engineer Ron can open the same package collaboration file, bring up Revision Manager, and run Perform Actions. The revised documents are created automatically in the Pre-Release document library root folder location and the status is set to Available. Solid Edge is used to make all required changes documented in the package collaboration file.

Step 11.

After all revised documents are complete, Engineer Ron opens the package collaboration file and updates it with information that all changes were made.

Step 12.

Release Mgr Kevin moves the package collaboration file from the ECR document library to the ECO document library with Moderation turned on. At the same time, he uses Life Cycle Assistant with the package collaboration file to set the status of all Revised documents and change the status to In Review.

Step 13.

The approvers for the ECO document library approve or reject the request to release the revised documents.
Step 14.

When approved, the Release Mgr is notified the ECO was approved.
Step 15.

Release Mgr Kevin uses Life Cycle Assistant to move all Revised documents to the Released folder. To do this he:

  • Opens the package collaboration file to get a list of revised documents in the Life Cycle Assistant list.

  • Moves the documents to the Released document library and sets the status to Released.

    If the option is set to make old files obsolete, he moves the original files to the Obsolete document library and the sets the status to Obsolete.

Step 16.

Release Mgr Kevin moves the package collaboration file to the ECN folder. This notifies anyone that has Alerts that the new released product is available for production.


Typical Workflow for Using Insight Technology to Manage Solid Edge Documents in a Library

The Insight technology delivered with Solid Edge allows you to easily work with your Solid Edge documents in a managed library.

A typical workflow for working with Solid Edge documents is:

Step 1.

Create a Solid Edge document and use the Save As command to save the document to a SharePoint library.

Note

The document is not saved to the library yet; it is saved to your cache.
Step 2.

Close the document to upload and add it to the library.
Step 3.

Open the document to check it out.

Insight always publishes the document on check in and ensures that approvals are turned off in SharePoint for the folder.

Note

Microsoft SharePoint provides a workflow that allows you to seek document approvals and publish documents for others to view. Solid Edge has its own workflow and does not use SharePoint approvals.


Viewing the Log File in Solid Edge

All Insight warnings and error messages are reported to a common error dialog box and written to a log file. The dialog box displays errors and warnings for the last command. You can select a column on the dialog box to sort the information in the box based on that column.

The system creates an ASCII text log file per application session that contains the warnings and error messages for the entire session. If you want to view the file, you can open it in Word, Excel, or any other application that can read a tab-delimited text file. The system names the log file based on the time stamp for the file.

The log file is stored in the location specified on the File Locations tab of the Options dialog box. You can specify that Insight look for the file in a different folder, including a folder on another machine on the network. To specify a different location, on the Tools menu, click Options. On the File Locations tab of the Options dialog box, select Log Files and then click Modify. On the Browse dialog box, specify the drive and folder for the log file.

Insight Error Messages

The following information describes the various Insight error messages.

Unable to contact the server, try again. If the problem continues, contact your administrator.

This error occurs when there is a problem with the connection to the server. The network may not be working properly or the server may be down. If this happens in the middle of the command, the document may be marked as checked out in SharePoint, but not be on your local machine. If so, an administrator will have to clean up the file or cancel the check out to update the library.

Insufficient drive space to store <file>. Contact your administrator to free sufficient space and try again.

This error occurs when the server or local machine does not have enough free space to hold the document. To correct the error, an administrator needs to clear the cache, remove files from the system, or purge versions of documents. If you think this may be a persistent problem, you may want to install a larger hard drive.

<Folder> has approvals turned on. Turn off approvals and try your command again.

This error occurs when an administrator has SharePoint approvals turned on. To correct the problem, an administrator needs to turn the approvals off.

You do not have sufficient privileges to <command> <filename or folder name> or there are network problems preventing authentication from the server.

This error occurs when you do not have sufficient privileges to execute a command. To correct the error, you can have an administrator provide the privileges you need to execute the command. You can also have another user that does have sufficient privileges run the command.

File already exists in <folder name>. Rename one of the documents or rename the duplicate.

This error occurs when a document with the same name already exists in SharePoint. To correct the error, remove the existing document from the cache or ignore the message and continue.

Cannot rename <old folder name>. A folder with the name you specified already exists. Specify a different folder name.

This error occurs when a folder with the same name already exists in SharePoint. To correct the error, reset the folder name to its previous value and select a different folder name.

File is locked. Close it in Solid Edge or other application that is using it.

This error occurs when a document is locked by the system because it is open in Solid Edge or another process. To correct the error, close the document in Solid Edge or the process that is causing the lock.

File <filename> is checked out by <checkout user>. Open the file read only.

This error occurs when a document is checked out by another user. To correct this error, the user must check in the document before it can be checked out by another user.


Integrating Insight with Other Systems

This document describes how to extract Solid Edge Insight link information from SharePoint and integrate it with an Engineering Resource Planning (ERP) or Manufacturing Resource Planning (MRP) system.

You can use the Windows SharePoint Services/Portal Server Software Development Kit to integrate SharePoint with other systems.

Windows SharePoint Services/SharePoint Portal Server Software Development Kit

The Windows SharePoint Services/SharePoint Portal Server Development Kit (SDK) from Microsoft allows you to develop applications that connect to SharePoint Portal Server. The SharePoint SDK help document contains the following sections:

  • Concepts and architecture - This section describes the SharePoint Portal Server components and how they work.

  • Scenarios - This section contains conceptual information and procedures for extending SharePoint Portal Server

  • Reference - This section contains reference material for the objects, search language, methods and properties, and other components that applications use to access SharePoint Portal Server.

  • Samples - This section contains code samples.

  • SharePoint Portal Server Code Practices - This section contains information for code practices for SharePoint Portal Server applications.

Solid Edge Properties

The following table describes the information stored in the SharePoint metadata as part of SELinkData:

Number | Property | Data Type | Description
1 | SELinks | String | URL for the linked document.
2 | SEGUID | String | A unique id for each document in the SharePoint site or document library.
3 | SELinkName | String | Occurrence name (will be document name:# unless changed at placement time)
4 | SELinkID | ULONG | Occurrence id.
5 | SEQuantity | ULONG | Quantity
6 | SEIncludeInBOM | Boolean | Include this document in a BOM report.
7 | SEDisplayInDrawings | Boolean | Display this document if it is in a drawing.
8 | SEDisplayWhenSub | Boolean | Display this document if it is in a subassembly.
9 | SELinkType | ULONG | Type of link

The first five properties are added into a single string separated by " > ". The remaining four properties (6-9) are combined into a single ULONG variable where the properties are added as bits.

The information of each link is stored in the following format:

SELink Path > SEGUID > SELinkName > SELinkID > SEQuantity > SE - Remaining properties (shown in red).

Combining Properties into a Single Value

The following constants are used to combine the four properties (SEDisplayInDrawings, SEDisplayWhenSub, SEIncludeInBOM, and SELinkType) into a single ULONG value.

SEDisplayWhenSub, SEIncludeInBOM, and SEDisplayInDrawings are of Boolean type. If the value of the property is true then we add the bit. The values of the bits of three properties are listed below.

#define SELinkProps_IncludeInBOM   0x01
#define SELinkProps_DisplayInDrawings  0x02
#define SELinkProps_DisplayWhenSub 0x04

There are four different types of links in Solid Edge that we track with Insight. When the links do not fit into this four types then the link type will be set as unknown.

#define SELinkProps_LinkTypeUnknown 0x00
#define SELinkProps_LinkTypeComponent 0x10
#define SELinkProps_LinkTypeInterPart 0x20
#define SELinkProps_LinkTypeReverse 0x40
#define SELinkProps_LinkTypeForeign 0x80

So for a link having

SEIncludeInBOM as TRUE
SEDisplayInDrawings as FALSE
SEDisplayWhenSub as TRUE
SELinkType as Type Component

We combine the data by adding all the needed bits SELinkProps_IncludeInBOM | SELinkProps_DisplayWhenSub | SELinkProps_DisplayWhenSub and generate single ULONG data. Because the value of SEDisplayInDrawings is FALSE it is not added.

SELinkData Example

In the following example, suppose you import the 3blocks.asm file, which has links to block1.par, block2.par, and block3.par. All these four files will be added to the same folder http://servername/<document library>name/documents/assemblies/.

The link properties of block1.par are:

SELink | http://servername/<document library>name/documents/assemblies/block1.par
SEGUID | {14557CA9-0AC6-4C2A-BCD3-149C5279AE1C}
SELinkName | block1.par:1
SEQuantity | 1
SELinkID | 128
SEIncludeInBOM | TRUE
SEDisplayInDrawings | FALSE
SEDisplayWhenSub | TRUE
SELinkType | Type Component

When combining the last four properties suppose you get a value "X".

In the LinkInfo string the two properties value are separated by ">". The format of this LinkInfo string will be SELink Path > SEGUID > SELinkName > SELinkID > SEQuantity > SE - Remaining properties.

The complete string for the Block1.par is:

http://servername/<document
library>name/documents/assemblies/block1.par >
{14557CA9-0AC6-4C2A-BCD3-149C5279AE1C} > block1.par:1 >
128 > 1 > X

Similarly, the Linkinfo strings for block2.par and block3.par can be:

http://servername/<document
library>name/documents/assemblies/block2.par >
{25297CA9-0AC6-4C2A-BCD3-149C5254SDS4} > block2.par:1 >
 142 > 1 > X

http://servername/<document
library>name/documents/assemblies/block3.par >
{454DFA9-0AC6-4C2A-BCD3-149C527HJ45} > block3.par:1 >
176 > 1 > X

As mentioned earlier three strings are being added to a single slot in the metadata separated by " | ". Therefore the final string that is written into the slot of SELinkData will be

"http://servername/<document
library>name/documents/assemblies/block1.par >
{14557CA9-0AC6-4C2A-BCD3-149C5279AE1C} > block1.par:1 >
128 > 1 > X | http://servername/<document
library>name/documents/assemblies/block2.par >
{25297CA9-0AC6-4C2A-BCD3-149C5254SDS4} > block2.par:1 >
142 > 1 > X | http://servername/<document
library>name/documents/assemblies/block3.par >
{454DFA9-0AC6-4C2A-BCD3-149C527HJ45} > block3.par:1 >
176 > 1 > X"
Version Stamp

The Solid Edge version is added as the first and last entries in SELinkData to denote that the documents were added by either the Solid Edge Save As or Add to Library commands. The version stamp helps Solid Edge distinguish between documents that have links updated to point to the cache locations and documents dropped into SharePoint without Solid Edge. The version stamp also identifies the version of Solid Edge used to add the document to SharePoint.

The final value of the string will be:

Solid EdgeVersion xx.xx.xx.xx
http://servername/<document
library>name/documents/assemblies/block1.par >
{14557CA9-0AC6-4C2A-BCD3-149C5279AE1C} > block1.par:1 >
128 > 1 > X | http://servername/<document
library>name/documents/assemblies/block2.par >
{25297CA9-0AC6-4C2A-BCD3-149C5254SDS4} > block2.par:1 >
142 > 1 > X | http://servername/<document
library>name/documents/assemblies/block3.par >
{454DFA9-0AC6-4C2A-BCD3-149C527HJ45} > block3.par:1 >
176 > 1 > X
Solid Edge version xx.xx.xx.xx
Building the Application

There are several steps involved in building the application:

Step 1. | Connect to the SharePoint document library
Step 2. | Query for a specific document
Step 3. | Pull the link information for the document
Step 4. | Determine which links to include in the BOM
Step 5. | Retrieve information about the linked documents


Working Offline Using Insight

Your workflow may require that you work offline at times. For example, you may need to take a portable machine out of the office, maybe to a customer site. Microsoft Loopback adapter is a tool designed for working in a virtual network environment where access to a network is not feasible. Enabling the loopback adapter improves your performance while working offline with Solid Edge Insight.

Installing the Microsoft Loopback Adapter
Step 1. | Click Start, point to Settings, and then click Control Panel.
Step 2. | On the Control Panel, double-click Add/Remove Hardware.
Step 3. | Click Next.
Step 4. | Set the Add/Troubleshoot a Device option, and then click Next.
Step 5. | Select Add a New Device, and then click Next.
Step 6. | Select No, I want to select the hardware from a list, and then click Next.
Step 7. | Select Network adapters, and then click Next.
Step 8. | In the Manufacturers box, scroll down and select Microsoft.
Step 9. | In the Network Adapter box, select Microsoft Loopback Adapter, and then click Next.
Step 10. | On the Start Hardware Installation dialog box, click Next.
Step 11. | Click Finish.
Configuring the Microsoft Loopback Adapter

After you have installed the Loopback Adapter, you will need to configure it.

Step 1. | Click Start, point to Settings, and then click Network and Dial-up Connections.
Step 2. | On the Network and Dial-Up Connections dialog box, click the right mouse button on the last Local Area Connection and rename it to MS Loopback Adapter.
Step 3. | Click the right mouse button on MS Loopback Adapter and select Properties.
Step 4. | On the General tab of the Loopback Properties dialog box, make sure NetBEUI Protocal is the only option that is checked.
Step 5. | Select OK.
Step 6. | To avoid network conflicts, in Network and Dial-up Connections, disable the LAN Connection entry first before enabling Microsoft Loopback Adapter option. Select the LAN Connection entry, then click the right mouse button, and select Disable on the shortcut menu.
Step 7. | For the Microsoft Loopback Adapter to function, you will need to click the right mouse button on it in the Network and Dial-up Connections dialog box and select Enable. Most systems will already be enabled and only give you the option: Disable. In this case, go to the next step.
Step 8. | When reconnecting the LAN Connection, disable Microsoft Loopback Adapter first, then enable the LAN Connection.


Trouble Shooting
Checking Setup
Blocked File Types
Server Speed


Checking Setup

There are several components that must be installed to ensure that your system works properly. If you encounter problems, you should check these components.

Verify SQL Server 2000 SP3 is installed
Step 1. | Log on to the server with the account used to install SQL Server.
Step 2. | Verify SQL Server 2000 SP3 or later is installed. For English SQL Server 2000 SP3, on the Add or Remove Programs dialog box, select SQL Server, then click Support Information. The version displayed should be 8.00.761.
Step 3. | There should also be a SP3areadme.htm file in $:/program Files\Microsoft SQL Server\MSSQL. The file name will vary based on the service pack installed.
Verify the SQL Service Manager is running
Step 1.

On the Desktop, right-click the SQL Service Manager icon and click Open SQL Service Manager.

The current server should be displayed in the Server control.

In the Services list box, there should be five services listed:

  • Distributed Transaction Coordinator

  • Microsoft Search

  • MSSQL ServerOLAPService

  • SQL Server

  • SQL Server Agent
Step 2.

Select each service and verify they are running and that they are set to Auto-start when the operating system starts.

Note

All the services don't have to be running but at a minimum Microsoft Search and SQL Server need to be running though others may need to be running based on the your configuration.

Step 3.

Exit the SQL Service Manager application.
Verify That The SharePoint Content and Information Databases Were Created
Step 1.

From the Start menu, start the SQL Enterprise Manager.
Step 2.

Browse down to the Databases node and look for two databases.

  • the default configuration database name is configdb.

  • the default SharePoint database will start with STS_<servername>_1 though you could have given them different names during setup.

You do not have to verify that the information contained in the databases is complete. You just need to verify that the databases exist.

Note

Modifying the databases or rows in any way other than through the SharePoint dashboard or SharePoint API is not supported!
Step 3.

Exit the SQL Enterprise Manager application.
Verify Internet Information Services Information
Step 1. | From the Start menu, select Internet Information Services (IIS) Manager.
Step 2. | Verify the STSAdminPool, Default Web Site and SharePoint Central Administration entries are listed. You may create additional virtual web sites to provide multiple entry points so there should be one virtual server for each site. To verify you upgraded the virtual server to run with SharePoint, look for a Microsoft.SharePoint.ApplicationPages.dll entry in the virtual folder\layouts\bin folder for each virtual folder.
Step 3. | Connect to the default SharePoint home page for the server. For example: http://hsvnt094.
Step 4. | Select the Shared Documents document library from the Quick Links section on the left of the dashboard.
Step 5. | Select Upload Document from the menu and try to upload a Microsoft Office document.
Step 6. | Verify the document was uploaded.
Step 7. | Repeat steps 4 - 6 using an Insight document library.
Check Content Approval and Document Versions
Step 1. | Select the Modify Settings and Columns page for the document library.
Step 2. | Select the Change general settings page for the document library
Step 3. | Is Content Approval or Document Versions turned on? By default both these options are turned off. If Content Approval is turned on, anyone with Moderate Lists right must approve a document before it is shown in the All Documents view. The approval is valid for one version so if the file is changed, it will have to be approved after each change.

If you have problems with SQL Manager being installed properly, running properly, or problems with the SharePoint database being created properly, the SQL server installation is the likely source of the problems. If these problems occur, you should un-install all applications except Windows 2003 server and re-install them. If the installation was done with WMSDE, see the Microsoft Windows SharePoint Services 2003.0 Administrator's Guide for instructions on moving from WMSDE to SQL Server.

If you have problems with IIS or SharePoint, you should un-install SharePoint and IIS and re-install them.

If you have problems connecting to a SharePoint page on the server, uploading documents to the server, or modifying settings on the server, the SharePoint installation is the likely source of the problem. If these problems occur, verify that all usernames and passwords are correct. If they are, un-install SharePoint and re-install.


Blocked File Types

Administrators can block files with certain extensions from being loaded into SharePoint. Review the list and see if the file the user is trying to load has a blocked file type.

Verify the various Solid Edge file extensions are not in this list.


Server Speed

There are several processes that may affect the speed the server. If you experience a decrease in the speed of your server, you should check these processes.

Virus Scanning

SharePoint 2 allows administrators to schedule virus scanning during when files are being uploaded and downloaded. This can add significant time to file transfer operations and to the server load. Check the SharePoint Central Administration pages to see if virus scanning is turned on. If it is, have all users exit Insight and SharePoint and run a sample timing test by clearing a clients cache, then opening a typical managed drawing. Save without making changes and then close the drawing. Repeat these steps after turning all the virus scanning options off and restarting IIS. You can restart ISS by typing iisreset in a DOS command window. If there more than a 5% difference in the times, the virus scanning software is causing performance problems.

HTML Viewing

The HTML viewing service converts files and documents into viewable HTML format. Because this viewing happens on demand, it can require a lot of resources. It is recommended that you always use a separate server to host the HTML viewing service so that the viewing service performance does not impact the performance of your Web server. For more information about changing HTML Viewer settings, see Managing HTML Viewers in the Windows SharePoint Services 2003 Administrator's Guide.

Usage Analysis Logging and Processing

Usage analysis logging has a fairly low impact on server performance, normally less than 10%. However, usage log processing runs separately from the main Windows SharePoint Services process and is a resource-intensive task. Log processing relies on the SharePoint Timer service, so to minimize the performance impact you can schedule log processing for times when you know use of your sites is low. You can also increase the number of log files to improve logging performance or decrease the number of log files to improve log file processing performance. For more information about changing usage analysis settings, see Configuring Usage Analysis in the Windows SharePoint Services 2003 Administrator's Guide.

Site Use Confirmation and Auto-deletion

This feature helps you monitor and delete web sites that are not being used. It also relies on the SharePoint Timer service to check for unused sites, to send e-mail alerts about unused sites to site administrators, and to automatically delete sites. As with any other feature that uses the SharePoint Timer service, you can configure the process to run at an appropriate time when your server is less heavily used. Also, because this feature is controlled at the virtual server level, you can stagger the times for each virtual server, so that not all virtual servers are being checked for unused sites at the same time. For more information about changing settings for site use confirmation, see Managing Unused Web Sites in the Windows SharePoint Services Administrator's Guide.

Alerts

Daily and weekly alerts do not impact performance heavily, but if you have a large number of immediate alerts being sent, it can slow your server down. This feature also relies on the SharePoint Timer service, so you can specify the times for daily and weekly alerts and you can set a longer interval for immediate alerts. For example, the default is every 5 minutes, but you may want to extend it to 15 minutes. You can also limit the number of alerts each user can sign up for, so that your server is not flooded with alert requests. Also, because alerts are controlled at the virtual server level, you can stagger the time ranges for each virtual server, so that not all virtual servers are sending alerts at the same time. Keep in mind that the only way to determine the amount of server resources being taken up by sending alerts is to monitor your SMTP server for a significant amount of outbound traffic. For more information about changing alert settings, see Managing Alerts in the Windows SharePoint Services Administrator's Guide.

Server Events and Scheduled Services

Any extra processing done with custom programming that listens to SharePoint document library events adds extra load to the SharePoint server. If possible, turn the event listeners and scheduled services off and measure the user's performance. If the performance increase is significant, re-evaluate the need for the event listener or look for ways to improve the performance of the listener. If the problem is a scheduled service, look for ways to schedule the service to run when it won't impact the main production times, such as during backups.

Dashboard is Too Slow

Review the web parts the user has on their dashboard page and the number of items that they are displaying. If there are a significant number, generally more than 10, web parts or web parts that are hitting other resources for information, try reducing the number of parts on the page to see if performance improves. You can remove all but one web part and then add them back one-by-one. If you are trying to view thousands of records in a list at one time, use filters and custom views to reduce the amount of data that is being displayed.

Also look to see if they are displaying the items in the list by ignoring the folder structure. If this is the case, change the item limit, add a filter, or turn folder display on.

Performance Monitor

Use the Windows Performance Monitor application to monitor the amount of available memory and CPU usage to see if they are being used at more than 80% capacity. If they are, you need to look at adding additional memory cpu or switching to a server farm setup to split the SQL and web work between multiple systems. At this time we do not have any recommendations for determining whether to scale up the existing server or move to a multi-server environment.

3GB switch

Research still pending on this item.